--
-- $Id: structure.sql 7701 2007-11-20 18:41:09Z megan_w $
--
-- The contents of this file are subject to the KnowledgeTree Public
-- License Version 1.1.2 ("License"); You may not use this file except in
-- compliance with the License. You may obtain a copy of the License at
-- http://www.knowledgetree.com/KPL
--
-- Software distributed under the License is distributed on an "AS IS"
-- basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
-- See the License for the specific language governing rights and
-- limitations under the License.
--
-- All copies of the Covered Code must include on each user interface screen:
--    (i) the "Powered by KnowledgeTree" logo and
--    (ii) the KnowledgeTree copyright notice
-- in the same form as they appear in the distribution.  See the License for
-- requirements.
--
-- The Original Code is: KnowledgeTree Open Source
--
-- The Initial Developer of the Original Code is The Jam Warehouse Software
-- (Pty) Ltd, trading as KnowledgeTree.
-- Portions created by The Jam Warehouse Software (Pty) Ltd are Copyright
-- (C) 2007 The Jam Warehouse Software (Pty) Ltd;
-- All Rights Reserved.
-- Contributor( s): ______________________________________
--

SET FOREIGN_KEY_CHECKS=0;
--
-- Database: `pristine`
--

-- --------------------------------------------------------

--
-- Table structure for table `active_sessions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@active_sessions` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) default NULL,
  `session_id` char(255) default NULL,
  `lastused` datetime default NULL,
  `ip` char(30) default NULL,
  UNIQUE KEY `id` (`id`),
  KEY `session_id_idx` (`session_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `archive_restoration_request`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@archive_restoration_request` (
  `id` int(11) NOT NULL default '0',
  `document_id` int(11) NOT NULL default '0',
  `request_user_id` int(11) NOT NULL default '0',
  `admin_user_id` int(11) NOT NULL default '0',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `archiving_settings`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@archiving_settings` (
  `id` int(11) NOT NULL default '0',
  `archiving_type_id` int(11) NOT NULL default '0',
  `expiration_date` date default NULL,
  `document_transaction_id` int(11) default NULL,
  `time_period_id` int(11) default NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `archiving_type_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@archiving_type_lookup` (
  `id` int(11) NOT NULL default '0',
  `name` char(100) default NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `authentication_sources`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@authentication_sources` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `namespace` varchar(255) NOT NULL default '',
  `authentication_provider` varchar(255) NOT NULL default '',
  `config` mediumtext NOT NULL,
  `is_user_source` tinyint(1) NOT NULL default '0',
  `is_group_source` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `namespace` (`namespace`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `column_entries`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@column_entries` (
  `id` int(11) NOT NULL default '0',
  `column_namespace` varchar(255) NOT NULL default '',
  `view_namespace` varchar(255) NOT NULL default '',
  `config_array` text NOT NULL,
  `position` int(11) NOT NULL default '0',
  `required` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `view_namespace` (`view_namespace`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `comment_searchable_text`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@comment_searchable_text` (
  `comment_id` int(11) NOT NULL default '0',
  `body` mediumtext,
  `document_id` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`comment_id`),
  FULLTEXT KEY `comment_search_text` (`body`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `dashlet_disables`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@dashlet_disables` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `dashlet_namespace` varchar(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`),
  KEY `user_id` (`user_id`),
  KEY `dashlet_namespace` (`dashlet_namespace`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `data_types`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@data_types` (
  `id` int(11) NOT NULL default '0',
  `name` char(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `discussion_comments`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@discussion_comments` (
  `id` int(11) NOT NULL default '0',
  `thread_id` int(11) NOT NULL default '0',
  `in_reply_to` int(11) default NULL,
  `user_id` int(11) NOT NULL default '0',
  `subject` mediumtext,
  `body` mediumtext,
  `date` datetime default NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `discussion_threads`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@discussion_threads` (
  `id` int(11) NOT NULL default '0',
  `document_id` int(11) NOT NULL default '0',
  `first_comment_id` int(11) NOT NULL default '0',
  `last_comment_id` int(11) NOT NULL default '0',
  `views` int(11) NOT NULL default '0',
  `replies` int(11) NOT NULL default '0',
  `creator_id` int(11) NOT NULL default '0',
  `close_reason` mediumtext NOT NULL,
  `close_metadata_version` int(11) NOT NULL default '0',
  `state` int(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_archiving_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_archiving_link` (
  `id` int(11) NOT NULL default '0',
  `document_id` int(11) NOT NULL default '0',
  `archiving_settings_id` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_content_version`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_content_version` (
  `id` int(11) NOT NULL default '0',
  `document_id` int(11) NOT NULL default '0',
  `filename` mediumtext NOT NULL,
  `size` bigint(20) NOT NULL default '0',
  `mime_id` int(11) NOT NULL default '0',
  `major_version` int(11) NOT NULL default '0',
  `minor_version` int(11) NOT NULL default '0',
  `storage_path` varchar(250) default NULL,
  UNIQUE KEY `id` (`id`),
  KEY `storage_path` (`storage_path`),
  KEY `document_id` (`document_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_fields`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_fields` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `data_type` varchar(100) NOT NULL default '',
  `is_generic` tinyint(1) default NULL,
  `has_lookup` tinyint(1) default NULL,
  `has_lookuptree` tinyint(1) default NULL,
  `parent_fieldset` int(11) default NULL,
  `is_mandatory` tinyint(4) NOT NULL default '0',
  `description` mediumtext NOT NULL,
  UNIQUE KEY `id` (`id`),
  KEY `parent_fieldset` (`parent_fieldset`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_fields_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_fields_link` (
  `id` int(11) NOT NULL default '0',
  `document_field_id` int(11) NOT NULL default '0',
  `value` char(255) NOT NULL default '',
  `metadata_version_id` int(11) default NULL,
  UNIQUE KEY `id` (`id`),
  KEY `document_field_id` (`document_field_id`),
  KEY `metadata_version_id` (`metadata_version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_incomplete`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_incomplete` (
  `id` int(10) unsigned NOT NULL default '0',
  `contents` tinyint(1) unsigned NOT NULL default '0',
  `metadata` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_link` (
  `id` int(11) NOT NULL default '0',
  `parent_document_id` int(11) NOT NULL default '0',
  `child_document_id` int(11) NOT NULL default '0',
  `link_type_id` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_link_types`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_link_types` (
  `id` int(11) NOT NULL default '0',
  `name` char(100) NOT NULL default '',
  `reverse_name` char(100) NOT NULL default '',
  `description` char(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_metadata_version`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_metadata_version` (
  `id` int(11) NOT NULL default '0',
  `document_id` int(11) NOT NULL default '0',
  `content_version_id` int(11) NOT NULL default '0',
  `document_type_id` int(11) NOT NULL default '0',
  `name` mediumtext NOT NULL,
  `description` varchar(200) NOT NULL default '',
  `status_id` int(11) default NULL,
  `metadata_version` int(11) NOT NULL default '0',
  `version_created` datetime NOT NULL default '0000-00-00 00:00:00',
  `version_creator_id` int(11) NOT NULL default '0',
  `workflow_id` int(11) default NULL,
  `workflow_state_id` int(11) default NULL,
  UNIQUE KEY `id` (`id`),
  KEY `fk_document_type_id` (`document_type_id`),
  KEY `fk_status_id` (`status_id`),
  KEY `document_id` (`document_id`),
  KEY `version_created` (`version_created`),
  KEY `version_creator_id` (`version_creator_id`),
  KEY `content_version_id` (`content_version_id`),
  KEY `workflow_id` (`workflow_id`),
  KEY `workflow_state_id` (`workflow_state_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_role_allocations`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_role_allocations` (
  `id` int(11) NOT NULL default '0',
  `document_id` int(11) NOT NULL default '0',
  `role_id` int(11) NOT NULL default '0',
  `permission_descriptor_id` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `document_id` (`document_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_searchable_text`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_searchable_text` (
  `document_id` int(11) default NULL,
  `document_text` longtext,
  KEY `document_text_document_id_indx` (`document_id`),
  FULLTEXT KEY `document_text` (`document_text`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_subscriptions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_subscriptions` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `document_id` int(11) NOT NULL default '0',
  `is_alerted` tinyint(1) default NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_text`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_text` (
  `document_id` int(11) default NULL,
  `document_text` longtext,
  KEY `document_text_document_id_indx` (`document_id`),
  FULLTEXT KEY `document_text` (`document_text`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_transaction_text`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_transaction_text` (
  `document_id` int(11) default NULL,
  `document_text` mediumtext,
  KEY `document_text_document_id_indx` (`document_id`),
  FULLTEXT KEY `document_text` (`document_text`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_transaction_types_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `namespace` varchar(250) NOT NULL default '',
  UNIQUE KEY `id` (`id`),
  KEY `namespace` (`namespace`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_transactions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_transactions` (
  `id` int(11) NOT NULL default '0',
  `document_id` int(11) NOT NULL default '0',
  `version` char(50) default NULL,
  `user_id` int(11) NOT NULL default '0',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `ip` char(30) default NULL,
  `filename` char(255) NOT NULL default '',
  `comment` char(255) NOT NULL default '',
  `transaction_namespace` char(255) NOT NULL default 'ktcore.transactions.event',
  `session_id` int(11) default NULL,
  `admin_mode` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `fk_document_id` (`document_id`),
  KEY `fk_user_id` (`user_id`),
  KEY `session_id` (`session_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_type_fields_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_type_fields_link` (
  `id` int(11) NOT NULL default '0',
  `document_type_id` int(11) NOT NULL default '0',
  `field_id` int(11) NOT NULL default '0',
  `is_mandatory` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_type_fieldsets_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_type_fieldsets_link` (
  `id` int(11) NOT NULL default '0',
  `document_type_id` int(11) NOT NULL default '0',
  `fieldset_id` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `document_type_id` (`document_type_id`),
  KEY `fieldset_id` (`fieldset_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `document_types_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@document_types_lookup` (
  `id` int(11) NOT NULL default '0',
  `name` char(100) default NULL,
  `disabled` tinyint(4) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `disabled` (`disabled`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `documents`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@documents` (
  `id` int(11) NOT NULL default '0',
  `creator_id` int(11) NOT NULL default '0',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `folder_id` int(11) default NULL,
  `is_checked_out` tinyint(1) NOT NULL default '0',
  `parent_folder_ids` mediumtext,
  `full_path` mediumtext,
  `checked_out_user_id` int(11) default NULL,
  `status_id` int(11) default NULL,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `permission_object_id` int(11) default NULL,
  `permission_lookup_id` int(11) default NULL,
  `metadata_version` int(11) NOT NULL default '0',
  `modified_user_id` int(11) NOT NULL default '0',
  `metadata_version_id` int(11) default NULL,
  `owner_id` int(11) NOT NULL default '0',
  `immutable` tinyint(1) NOT NULL default '0',
  `restore_folder_id` int(11) default NULL,
  `restore_folder_path` text,
  UNIQUE KEY `id` (`id`),
  KEY `fk_creator_id` (`creator_id`),
  KEY `fk_folder_id` (`folder_id`),
  KEY `fk_checked_out_user_id` (`checked_out_user_id`),
  KEY `fk_status_id` (`status_id`),
  KEY `created` (`created`),
  KEY `permission_object_id` (`permission_object_id`),
  KEY `permission_lookup_id` (`permission_lookup_id`),
  KEY `modified_user_id` (`modified_user_id`),
  KEY `metadata_version_id` (`metadata_version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `field_behaviour_options`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@field_behaviour_options` (
  `behaviour_id` int(11) NOT NULL default '0',
  `field_id` int(11) NOT NULL default '0',
  `instance_id` int(11) NOT NULL default '0',
  KEY `behaviour_id` (`behaviour_id`),
  KEY `field_id` (`field_id`),
  KEY `instance_id` (`instance_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `field_behaviours`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@field_behaviours` (
  `id` int(11) NOT NULL default '0',
  `name` char(255) NOT NULL default '',
  `human_name` char(100) NOT NULL default '',
  `field_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `field_id` (`field_id`),
  KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `field_orders`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@field_orders` (
  `parent_field_id` int(11) NOT NULL default '0',
  `child_field_id` int(11) NOT NULL default '0',
  `fieldset_id` int(11) NOT NULL default '0',
  UNIQUE KEY `child_field` (`child_field_id`),
  KEY `parent_field` (`parent_field_id`),
  KEY `fieldset_id` (`fieldset_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `field_value_instances`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@field_value_instances` (
  `id` int(11) NOT NULL default '0',
  `field_id` int(11) NOT NULL default '0',
  `field_value_id` int(11) NOT NULL default '0',
  `behaviour_id` int(11) default '0',
  PRIMARY KEY  (`id`),
  KEY `field_id` (`field_id`),
  KEY `field_value_id` (`field_value_id`),
  KEY `behaviour_id` (`behaviour_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `fieldsets`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@fieldsets` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `namespace` varchar(255) NOT NULL default '',
  `mandatory` tinyint(4) NOT NULL default '0',
  `is_conditional` tinyint(1) NOT NULL default '0',
  `master_field` int(11) default NULL,
  `is_generic` tinyint(1) NOT NULL default '0',
  `is_complex` tinyint(1) NOT NULL default '0',
  `is_complete` tinyint(1) NOT NULL default '1',
  `is_system` tinyint(1) unsigned NOT NULL default '0',
  `description` mediumtext NOT NULL,
  UNIQUE KEY `id` (`id`),
  KEY `is_generic` (`is_generic`),
  KEY `is_complete` (`is_complete`),
  KEY `is_system` (`is_system`),
  KEY `master_field` (`master_field`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `folder_doctypes_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@folder_doctypes_link` (
  `id` int(11) NOT NULL default '0',
  `folder_id` int(11) NOT NULL default '0',
  `document_type_id` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `fk_folder_id` (`folder_id`),
  KEY `fk_document_type_id` (`document_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `folder_searchable_text`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@folder_searchable_text` (
  `folder_id` int(11) NOT NULL default '0',
  `folder_text` mediumtext,
  PRIMARY KEY  (`folder_id`),
  KEY `folder_searchable_text_folder_indx` (`folder_id`),
  FULLTEXT KEY `folder_text` (`folder_text`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `folder_subscriptions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@folder_subscriptions` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `folder_id` int(11) NOT NULL default '0',
  `is_alerted` tinyint(1) default NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `folder_transactions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@folder_transactions` (
  `id` int(11) NOT NULL default '0',
  `folder_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `ip` char(30) default NULL,
  `comment` char(255) NOT NULL default '',
  `transaction_namespace` char(255) NOT NULL default 'ktcore.transactions.event',
  `session_id` int(11) default NULL,
  `admin_mode` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `folder_id` (`folder_id`),
  KEY `user_id` (`user_id`),
  KEY `session_id` (`session_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `folder_workflow_map`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@folder_workflow_map` (
  `folder_id` int(11) NOT NULL default '0',
  `workflow_id` int(11) default NULL,
  PRIMARY KEY  (`folder_id`),
  UNIQUE KEY `folder_id` (`folder_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `folders`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@folders` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  `parent_id` int(11) default NULL,
  `creator_id` int(11) default NULL,
  `is_public` tinyint(1) NOT NULL default '0',
  `parent_folder_ids` mediumtext,
  `full_path` mediumtext,
  `permission_object_id` int(11) default NULL,
  `permission_lookup_id` int(11) default NULL,
  `restrict_document_types` tinyint(1) NOT NULL default '0',
  `owner_id` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `fk_parent_id` (`parent_id`),
  KEY `fk_creator_id` (`creator_id`),
  KEY `permission_object_id` (`permission_object_id`),
  KEY `permission_lookup_id` (`permission_lookup_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `folders_users_roles_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@folders_users_roles_link` (
  `id` int(11) NOT NULL default '0',
  `group_folder_approval_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `document_id` int(11) NOT NULL default '0',
  `datetime` datetime default NULL,
  `done` tinyint(1) default NULL,
  `active` tinyint(1) default NULL,
  `dependant_documents_created` tinyint(1) default NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `groups_groups_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@groups_groups_link` (
  `id` int(11) NOT NULL default '0',
  `parent_group_id` int(11) NOT NULL default '0',
  `member_group_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `groups_groups_link_ibfk_1` (`parent_group_id`),
  KEY `groups_groups_link_ibfk_2` (`member_group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `groups_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@groups_lookup` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `is_sys_admin` tinyint(1) NOT NULL default '0',
  `is_unit_admin` tinyint(1) NOT NULL default '0',
  `unit_id` int(11) default NULL,
  `authentication_details_s2` varchar(255) default NULL,
  `authentication_details_s1` varchar(255) default NULL,
  `authentication_source_id` int(11) default NULL,
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `unit_id` (`unit_id`),
  KEY `authentication_details_s1` (`authentication_details_s1`),
  KEY `authentication_source_id` (`authentication_source_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `help`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@help` (
  `id` int(11) NOT NULL default '0',
  `fSection` varchar(100) NOT NULL default '',
  `help_info` mediumtext NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `help_replacement`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@help_replacement` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `description` mediumtext NOT NULL,
  `title` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `interceptor_instances`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@interceptor_instances` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `interceptor_namespace` varchar(255) NOT NULL,
  `config` text,
  PRIMARY KEY  (`id`),
  KEY `interceptor_namespace` (`interceptor_namespace`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `links`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@links` (
  `id` int(11) NOT NULL default '0',
  `name` char(100) NOT NULL default '',
  `url` char(100) NOT NULL default '',
  `rank` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `metadata_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@metadata_lookup` (
  `id` int(11) NOT NULL default '0',
  `document_field_id` int(11) NOT NULL default '0',
  `name` char(255) default NULL,
  `treeorg_parent` int(11) default NULL,
  `disabled` tinyint(3) unsigned NOT NULL default '0',
  `is_stuck` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `disabled` (`disabled`),
  KEY `is_stuck` (`is_stuck`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `metadata_lookup_tree`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@metadata_lookup_tree` (
  `id` int(11) NOT NULL default '0',
  `document_field_id` int(11) NOT NULL default '0',
  `name` char(255) default NULL,
  `metadata_lookup_tree_parent` int(11) default NULL,
  UNIQUE KEY `id` (`id`),
  KEY `metadata_lookup_tree_parent` (`metadata_lookup_tree_parent`),
  KEY `document_field_id` (`document_field_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `mime_types`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@mime_types` (
  `id` int(11) NOT NULL default '0',
  `filetypes` char(100) NOT NULL default '',
  `mimetypes` char(100) NOT NULL default '',
  `icon_path` char(255) default NULL,
  `friendly_name` char(255) default '',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `news`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@news` (
  `id` int(11) NOT NULL default '0',
  `synopsis` varchar(255) NOT NULL default '',
  `body` mediumtext,
  `rank` int(11) default NULL,
  `image` mediumtext,
  `image_size` int(11) default NULL,
  `image_mime_type_id` int(11) default NULL,
  `active` tinyint(1) default NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `notifications`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@notifications` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `label` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  `creation_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `data_int_1` int(11) default NULL,
  `data_int_2` int(11) default NULL,
  `data_str_1` varchar(255) default NULL,
  `data_str_2` varchar(255) default NULL,
  `data_text_1` text,
  UNIQUE KEY `id` (`id`),
  KEY `type` (`type`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `organisations_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@organisations_lookup` (
  `id` int(11) NOT NULL default '0',
  `name` char(100) NOT NULL default '',
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `permission_assignments`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@permission_assignments` (
  `id` int(11) NOT NULL default '0',
  `permission_id` int(11) NOT NULL default '0',
  `permission_object_id` int(11) NOT NULL default '0',
  `permission_descriptor_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `permission_and_object` (`permission_id`,`permission_object_id`),
  KEY `permission_id` (`permission_id`),
  KEY `permission_object_id` (`permission_object_id`),
  KEY `permission_descriptor_id` (`permission_descriptor_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `permission_descriptor_groups`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@permission_descriptor_groups` (
  `descriptor_id` int(11) NOT NULL default '0',
  `group_id` int(11) NOT NULL default '0',
  UNIQUE KEY `descriptor_id` (`descriptor_id`,`group_id`),
  KEY `descriptor_id_2` (`descriptor_id`),
  KEY `group_id` (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `permission_descriptor_roles`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@permission_descriptor_roles` (
  `descriptor_id` int(11) NOT NULL default '0',
  `role_id` int(11) NOT NULL default '0',
  UNIQUE KEY `descriptor_id` (`descriptor_id`,`role_id`),
  KEY `descriptor_id_2` (`descriptor_id`),
  KEY `role_id` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `permission_descriptor_users`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@permission_descriptor_users` (
  `descriptor_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  UNIQUE KEY `descriptor_id` (`descriptor_id`,`user_id`),
  KEY `descriptor_id_2` (`descriptor_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `permission_descriptors`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@permission_descriptors` (
  `id` int(11) NOT NULL default '0',
  `descriptor` varchar(32) NOT NULL default '',
  `descriptor_text` mediumtext NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `descriptor_2` (`descriptor`),
  KEY `descriptor` (`descriptor`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `permission_dynamic_assignments`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@permission_dynamic_assignments` (
  `dynamic_condition_id` int(11) NOT NULL default '0',
  `permission_id` int(11) NOT NULL default '0',
  KEY `dynamic_conditiond_id` (`dynamic_condition_id`),
  KEY `permission_id` (`permission_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `permission_dynamic_conditions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@permission_dynamic_conditions` (
  `id` int(11) NOT NULL default '0',
  `permission_object_id` int(11) NOT NULL default '0',
  `group_id` int(11) NOT NULL default '0',
  `condition_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `permission_object_id` (`permission_object_id`),
  KEY `group_id` (`group_id`),
  KEY `condition_id` (`condition_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `permission_lookup_assignments`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@permission_lookup_assignments` (
  `id` int(11) NOT NULL default '0',
  `permission_id` int(11) NOT NULL default '0',
  `permission_lookup_id` int(11) NOT NULL default '0',
  `permission_descriptor_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `permission_and_lookup` (`permission_id`,`permission_lookup_id`),
  KEY `permission_id` (`permission_id`),
  KEY `permission_lookup_id` (`permission_lookup_id`),
  KEY `permission_descriptor_id` (`permission_descriptor_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `permission_lookups`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@permission_lookups` (
  `id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `permission_objects`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@permission_objects` (
  `id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `permissions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@permissions` (
  `id` int(11) NOT NULL default '0',
  `name` char(100) NOT NULL default '',
  `human_name` char(100) NOT NULL default '',
  `built_in` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `plugins`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@plugins` (
  `id` int(11) NOT NULL default '0',
  `namespace` varchar(255) NOT NULL default '',
  `path` varchar(255) NOT NULL default '',
  `version` int(11) NOT NULL default '0',
  `disabled` tinyint(1) NOT NULL default '0',
  `data` mediumtext,
  `unavailable` tinyint(1) NOT NULL default '0',
  `friendly_name` varchar(255) default '',
  PRIMARY KEY  (`id`),
  KEY `name` (`namespace`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `plugin_helper`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@plugin_helper` (
	`id` INT NOT NULL default '0',
	`namespace` VARCHAR(120) NOT NULL,
	`plugin` VARCHAR(120) NOT NULL,
	`classname` VARCHAR(120),
	`pathname` VARCHAR(255),
	`object` VARCHAR(1000) NOT NULL,
	`classtype` VARCHAR(120) NOT NULL,
	`viewtype` ENUM('general', 'dashboard', 'plugin', 'folder', 'document', 'admindispatcher', 'dispatcher') NOT NULL default 'general',
    PRIMARY KEY  (`id`),
    KEY `name` (`namespace`),
    KEY `parent` (`plugin`),
    KEY `view` (`viewtype`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `role_allocations`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@role_allocations` (
  `id` int(11) NOT NULL default '0',
  `folder_id` int(11) NOT NULL default '0',
  `role_id` int(11) NOT NULL default '0',
  `permission_descriptor_id` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `folder_id` (`folder_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `roles`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@roles` (
  `id` int(11) NOT NULL default '0',
  `name` char(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `saved_searches`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@saved_searches` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `namespace` varchar(250) NOT NULL default '',
  `is_condition` tinyint(1) NOT NULL default '0',
  `is_complete` tinyint(1) NOT NULL default '0',
  `user_id` int(10) default NULL,
  `search` mediumtext NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `namespace` (`namespace`),
  KEY `is_condition` (`is_condition`),
  KEY `is_complete` (`is_complete`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `search_document_user_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@search_document_user_link` (
  `document_id` int(11) default NULL,
  `user_id` int(11) default NULL,
  KEY `fk_user_id` (`user_id`),
  KEY `fk_document_ids` (`document_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `status_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@status_lookup` (
  `id` int(11) NOT NULL default '0',
  `name` char(255) default NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `system_settings`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@system_settings` (
  `id` int(11) NOT NULL default '0',
  `name` char(255) NOT NULL default '',
  `value` text NOT NULL default '',
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `time_period`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@time_period` (
  `id` int(11) NOT NULL default '0',
  `time_unit_id` int(11) default NULL,
  `units` int(11) default NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `time_unit_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@time_unit_lookup` (
  `id` int(11) NOT NULL default '0',
  `name` char(100) default NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `trigger_selection`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@trigger_selection` (
  `event_ns` varchar(255) NOT NULL default '',
  `selection_ns` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`event_ns`),
  UNIQUE KEY `event_ns` (`event_ns`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `type_workflow_map`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@type_workflow_map` (
  `document_type_id` int(11) NOT NULL default '0',
  `workflow_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`document_type_id`),
  UNIQUE KEY `document_type_id` (`document_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `units_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@units_lookup` (
  `id` int(11) NOT NULL default '0',
  `name` char(100) NOT NULL default '',
  `folder_id` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `folder_id` (`folder_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `units_organisations_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@units_organisations_link` (
  `id` int(11) NOT NULL default '0',
  `unit_id` int(11) NOT NULL default '0',
  `organisation_id` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `fk_unit_id` (`unit_id`),
  KEY `fk_organisation_id` (`organisation_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `upgrades`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@upgrades` (
  `id` int(10) unsigned NOT NULL default '0',
  `descriptor` char(100) NOT NULL default '',
  `description` char(255) NOT NULL default '',
  `date_performed` datetime NOT NULL default '0000-00-00 00:00:00',
  `result` tinyint(4) NOT NULL default '0',
  `parent` char(40) default NULL,
  PRIMARY KEY  (`id`),
  KEY `descriptor` (`descriptor`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `user_history`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@user_history` (
  `id` int(11) NOT NULL,
  `datetime` datetime NOT NULL,
  `user_id` int(11) NOT NULL,
  `action_namespace` varchar(255) NOT NULL,
  `comments` mediumtext,
  `session_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`),
  KEY `action_namespace` (`action_namespace`),
  KEY `datetime` (`datetime`),
  KEY `session_id` (`session_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@users` (
  `id` int(11) NOT NULL default '0',
  `username` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `quota_max` int(11) NOT NULL default '0',
  `quota_current` int(11) NOT NULL default '0',
  `email` varchar(255) default NULL,
  `mobile` varchar(255) default NULL,
  `email_notification` tinyint(1) NOT NULL default '0',
  `sms_notification` tinyint(1) NOT NULL default '0',
  `authentication_details_s1` varchar(255) default NULL,
  `max_sessions` int(11) default NULL,
  `language_id` int(11) default NULL,
  `authentication_details_s2` varchar(255) default NULL,
  `authentication_source_id` int(11) default NULL,
  `authentication_details_b1` tinyint(1) default NULL,
  `authentication_details_i2` int(11) default NULL,
  `authentication_details_d1` datetime default NULL,
  `authentication_details_i1` int(11) default NULL,
  `authentication_details_d2` datetime default NULL,
  `authentication_details_b2` tinyint(1) default NULL,
  `last_login` datetime default NULL,
  `disabled` tinyint(1) NOT NULL,
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `username` (`username`),
  KEY `authentication_source` (`authentication_source_id`),
  KEY `authentication_details_b1` (`authentication_details_b1`),
  KEY `authentication_details_b2` (`authentication_details_b2`),
  KEY `last_login` (`last_login`),
  KEY `disabled` (`disabled`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `users_groups_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@users_groups_link` (
  `id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `group_id` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`),
  KEY `fk_user_id` (`user_id`),
  KEY `fk_group_id` (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `workflow_actions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@workflow_actions` (
  `workflow_id` int(11) NOT NULL default '0',
  `action_name` char(255) NOT NULL default '',
  KEY `workflow_id` (`workflow_id`),
  KEY `action_name` (`action_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `workflow_documents`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@workflow_documents` (
  `document_id` int(11) NOT NULL default '0',
  `workflow_id` int(11) NOT NULL default '0',
  `state_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`document_id`),
  KEY `workflow_id` (`workflow_id`),
  KEY `state_id` (`state_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `workflow_state_actions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@workflow_state_actions` (
  `state_id` int(11) NOT NULL default '0',
  `action_name` char(255) NOT NULL default '0',
  KEY `state_id` (`state_id`),
  KEY `action_name` (`action_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `workflow_state_disabled_actions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@workflow_state_disabled_actions` (
  `state_id` int(11) NOT NULL default '0',
  `action_name` char(255) NOT NULL default '0',
  KEY `state_id` (`state_id`),
  KEY `action_name` (`action_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `workflow_state_permission_assignments`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@workflow_state_permission_assignments` (
  `id` int(11) NOT NULL default '0',
  `workflow_state_id` int(11) NOT NULL default '0',
  `permission_id` int(11) NOT NULL default '0',
  `permission_descriptor_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `permission_id` (`permission_id`),
  KEY `permission_descriptor_id` (`permission_descriptor_id`),
  KEY `workflow_state_id` (`workflow_state_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `workflow_state_transitions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@workflow_state_transitions` (
  `state_id` int(11) NOT NULL default '0',
  `transition_id` int(11) NOT NULL default '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `workflow_states`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@workflow_states` (
  `id` int(11) NOT NULL default '0',
  `workflow_id` int(11) NOT NULL default '0',
  `name` char(255) NOT NULL default '',
  `human_name` char(100) NOT NULL default '',
  `inform_descriptor_id` int(11) default NULL,
  `manage_permissions` int(1) unsigned NOT NULL default '0',
  `manage_actions` int(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `workflow_id` (`workflow_id`),
  KEY `name` (`name`),
  KEY `inform_descriptor_id` (`inform_descriptor_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `workflow_transitions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@workflow_transitions` (
  `id` int(11) NOT NULL default '0',
  `workflow_id` int(11) NOT NULL default '0',
  `name` char(255) NOT NULL default '',
  `human_name` char(100) NOT NULL default '',
  `target_state_id` int(11) NOT NULL default '0',
  `guard_permission_id` int(11) default '0',
  `guard_group_id` int(11) default '0',
  `guard_role_id` int(11) default '0',
  `guard_condition_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `workflow_id_2` (`workflow_id`,`name`),
  KEY `workflow_id` (`workflow_id`),
  KEY `name` (`name`),
  KEY `target_state_id` (`target_state_id`),
  KEY `guard_permission_id` (`guard_permission_id`),
  KEY `guard_condition` (`guard_condition_id`),
  KEY `guard_group_id` (`guard_group_id`),
  KEY `guard_role_id` (`guard_role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `workflow_trigger_instances`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@workflow_trigger_instances` (
  `id` int(10) unsigned NOT NULL default '0',
  `workflow_transition_id` int(11) NOT NULL default '0',
  `namespace` char(255) NOT NULL default '',
  `config_array` text,
  PRIMARY KEY  (`id`),
  KEY `workflow_transition_id` (`workflow_transition_id`),
  KEY `namespace` (`namespace`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `workflows`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@workflows` (
  `id` int(11) NOT NULL default '0',
  `name` char(250) NOT NULL default '',
  `human_name` char(100) NOT NULL default '',
  `start_state_id` int(11) default NULL,
  `enabled` int(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `start_state_id` (`start_state_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_active_sessions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_active_sessions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_archive_restoration_request`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_archive_restoration_request` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_archiving_settings`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_archiving_settings` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_archiving_type_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_archiving_type_lookup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_authentication_sources`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_authentication_sources` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_browse_criteria`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_browse_criteria` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_column_entries`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_column_entries` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=15 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_dashlet_disables`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_dashlet_disables` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_data_types`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_data_types` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_dependant_document_instance`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_dependant_document_instance` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_dependant_document_template`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_dependant_document_template` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_discussion_comments`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_discussion_comments` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_discussion_threads`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_discussion_threads` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_archiving_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_archiving_link` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_content_version`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_content_version` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_fields`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_fields` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_fields_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_fields_link` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_link` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_link_types`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_link_types` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_metadata_version`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_metadata_version` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_role_allocations`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_role_allocations` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_subscriptions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_subscriptions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_transaction_types_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_transaction_types_lookup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=21 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_transactions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_transactions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_type_fields_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_type_fields_link` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_type_fieldsets_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_type_fieldsets_link` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_document_types_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_types_lookup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_documents`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_documents` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_field_behaviours`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_field_behaviours` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_field_value_instances`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_field_value_instances` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_fieldsets`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_fieldsets` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_folder_doctypes_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_folder_doctypes_link` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_folder_subscriptions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_folder_subscriptions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_folder_transactions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_folder_transactions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_folders`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_folders` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_folders_users_roles_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_folders_users_roles_link` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_groups_groups_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_groups_groups_link` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_groups_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_groups_lookup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_help`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_help` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=99 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_help_replacement`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_help_replacement` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_interceptor_instances`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_interceptor_instances` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_links`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_links` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_metadata_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_metadata_lookup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_metadata_lookup_tree`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_metadata_lookup_tree` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_mime_types`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_mime_types` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=162 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_news`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_news` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_notifications`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_notifications` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_organisations_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_organisations_lookup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_permission_assignments`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_permission_assignments` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_permission_descriptors`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_permission_descriptors` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_permission_dynamic_conditions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_permission_dynamic_conditions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_permission_lookup_assignments`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_permission_lookup_assignments` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=25 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_permission_lookups`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_permission_lookups` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_permission_objects`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_permission_objects` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_permissions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_permissions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_plugins`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_plugins` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=49 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_plugin_helper`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_plugin_helper` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_role_allocations`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_role_allocations` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_roles`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_roles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_saved_searches`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_saved_searches` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_status_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_status_lookup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_system_settings`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_system_settings` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_time_period`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_time_period` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_time_unit_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_time_unit_lookup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_units_lookup`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_units_lookup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_units_organisations_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_units_organisations_link` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_upgrades`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_upgrades` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=130 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_user_history`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_user_history` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_users`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_users_groups_link`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_users_groups_link` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_workflow_state_disabled_actions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_workflow_state_disabled_actions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_workflow_state_permission_assignments`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_workflow_state_permission_assignments` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_workflow_states`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_workflow_states` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_workflow_transitions`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_workflow_transitions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_workflow_trigger_instances`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_workflow_trigger_instances` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `zseq_workflows`
--

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_workflows` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `document_fields`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@document_fields`
  ADD CONSTRAINT `document_fields_ibfk_1` FOREIGN KEY (`parent_fieldset`) REFERENCES `fieldsets` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `document_fields_link`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@document_fields_link`
  ADD CONSTRAINT `document_fields_link_ibfk_2` FOREIGN KEY (`document_field_id`) REFERENCES `document_fields` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `document_metadata_version`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@document_metadata_version`
  ADD CONSTRAINT `document_metadata_version_ibfk_4` FOREIGN KEY (`document_id`) REFERENCES `documents` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `document_metadata_version_ibfk_5` FOREIGN KEY (`document_type_id`) REFERENCES `document_types_lookup` (`id`),
  ADD CONSTRAINT `document_metadata_version_ibfk_6` FOREIGN KEY (`status_id`) REFERENCES `status_lookup` (`id`),
  ADD CONSTRAINT `document_metadata_version_ibfk_7` FOREIGN KEY (`version_creator_id`) REFERENCES `users` (`id`),
  ADD CONSTRAINT `document_metadata_version_ibfk_8` FOREIGN KEY (`workflow_id`) REFERENCES `workflows` (`id`),
  ADD CONSTRAINT `document_metadata_version_ibfk_9` FOREIGN KEY (`workflow_state_id`) REFERENCES `workflow_states` (`id`);

--
-- Constraints for table `document_type_fieldsets_link`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@document_type_fieldsets_link`
  ADD CONSTRAINT `document_type_fieldsets_link_ibfk_1` FOREIGN KEY (`document_type_id`) REFERENCES `document_types_lookup` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `document_type_fieldsets_link_ibfk_2` FOREIGN KEY (`fieldset_id`) REFERENCES `fieldsets` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `field_behaviour_options`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@field_behaviour_options`
  ADD CONSTRAINT `field_behaviour_options_ibfk_1` FOREIGN KEY (`behaviour_id`) REFERENCES `field_behaviours` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `field_behaviour_options_ibfk_2` FOREIGN KEY (`field_id`) REFERENCES `document_fields` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `field_behaviour_options_ibfk_3` FOREIGN KEY (`instance_id`) REFERENCES `field_value_instances` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `field_behaviours`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@field_behaviours`
  ADD CONSTRAINT `field_behaviours_ibfk_1` FOREIGN KEY (`field_id`) REFERENCES `document_fields` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `field_orders`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@field_orders`
  ADD CONSTRAINT `field_orders_ibfk_1` FOREIGN KEY (`parent_field_id`) REFERENCES `document_fields` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `field_orders_ibfk_2` FOREIGN KEY (`child_field_id`) REFERENCES `document_fields` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `field_orders_ibfk_3` FOREIGN KEY (`fieldset_id`) REFERENCES `fieldsets` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `field_value_instances`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@field_value_instances`
  ADD CONSTRAINT `field_value_instances_ibfk_1` FOREIGN KEY (`field_id`) REFERENCES `document_fields` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `field_value_instances_ibfk_2` FOREIGN KEY (`field_value_id`) REFERENCES `metadata_lookup` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `field_value_instances_ibfk_3` FOREIGN KEY (`behaviour_id`) REFERENCES `field_behaviours` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `fieldsets`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@fieldsets`
  ADD CONSTRAINT `fieldsets_ibfk_1` FOREIGN KEY (`master_field`) REFERENCES `document_fields` (`id`) ON DELETE SET NULL;

--
-- Constraints for table `folder_transactions`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@folder_transactions`
  ADD CONSTRAINT `folder_transactions_ibfk_1` FOREIGN KEY (`folder_id`) REFERENCES `folders` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `folder_transactions_ibfk_2` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `groups_groups_link`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@groups_groups_link`
  ADD CONSTRAINT `groups_groups_link_ibfk_1` FOREIGN KEY (`parent_group_id`) REFERENCES `groups_lookup` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `groups_groups_link_ibfk_2` FOREIGN KEY (`member_group_id`) REFERENCES `groups_lookup` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `groups_lookup`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@groups_lookup`
  ADD CONSTRAINT `groups_lookup_ibfk_1` FOREIGN KEY (`unit_id`) REFERENCES `units_lookup` (`id`);

--
-- Constraints for table `permission_assignments`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@permission_assignments`
  ADD CONSTRAINT `permission_assignments_ibfk_1` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `permission_assignments_ibfk_2` FOREIGN KEY (`permission_object_id`) REFERENCES `permission_objects` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `permission_assignments_ibfk_3` FOREIGN KEY (`permission_descriptor_id`) REFERENCES `permission_descriptors` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `permission_descriptor_groups`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@permission_descriptor_groups`
  ADD CONSTRAINT `permission_descriptor_groups_ibfk_1` FOREIGN KEY (`descriptor_id`) REFERENCES `permission_descriptors` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `permission_descriptor_groups_ibfk_2` FOREIGN KEY (`group_id`) REFERENCES `groups_lookup` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `permission_descriptor_roles`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@permission_descriptor_roles`
  ADD CONSTRAINT `permission_descriptor_roles_ibfk_1` FOREIGN KEY (`descriptor_id`) REFERENCES `permission_descriptors` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `permission_descriptor_roles_ibfk_2` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `permission_descriptor_users`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@permission_descriptor_users`
  ADD CONSTRAINT `permission_descriptor_users_ibfk_1` FOREIGN KEY (`descriptor_id`) REFERENCES `permission_descriptors` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `permission_descriptor_users_ibfk_2` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `permission_dynamic_assignments`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@permission_dynamic_assignments`
  ADD CONSTRAINT `permission_dynamic_assignments_ibfk_2` FOREIGN KEY (`dynamic_condition_id`) REFERENCES `permission_dynamic_conditions` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `permission_dynamic_assignments_ibfk_3` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `permission_dynamic_conditions`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@permission_dynamic_conditions`
  ADD CONSTRAINT `permission_dynamic_conditions_ibfk_1` FOREIGN KEY (`permission_object_id`) REFERENCES `permission_objects` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `permission_dynamic_conditions_ibfk_2` FOREIGN KEY (`group_id`) REFERENCES `groups_lookup` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `permission_dynamic_conditions_ibfk_3` FOREIGN KEY (`condition_id`) REFERENCES `saved_searches` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `permission_lookup_assignments`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@permission_lookup_assignments`
  ADD CONSTRAINT `permission_lookup_assignments_ibfk_1` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `permission_lookup_assignments_ibfk_2` FOREIGN KEY (`permission_lookup_id`) REFERENCES `permission_lookups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `permission_lookup_assignments_ibfk_3` FOREIGN KEY (`permission_descriptor_id`) REFERENCES `permission_descriptors` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `saved_searches`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@saved_searches`
  ADD CONSTRAINT `saved_searches_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `user_history`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@user_history`
  ADD CONSTRAINT `user_history_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `users`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@users`
  ADD CONSTRAINT `users_ibfk_1` FOREIGN KEY (`authentication_source_id`) REFERENCES `authentication_sources` (`id`) ON DELETE SET NULL;

--
-- Constraints for table `users_groups_link`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@users_groups_link`
  ADD CONSTRAINT `users_groups_link_ibfk_1` FOREIGN KEY (`group_id`) REFERENCES `groups_lookup` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `users_groups_link_ibfk_2` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `workflow_state_permission_assignments`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@workflow_state_permission_assignments`
  ADD CONSTRAINT `workflow_state_permission_assignments_ibfk_7` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `workflow_state_permission_assignments_ibfk_8` FOREIGN KEY (`permission_descriptor_id`) REFERENCES `permission_descriptors` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `workflow_states`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@workflow_states`
  ADD CONSTRAINT `workflow_states_ibfk_1` FOREIGN KEY (`workflow_id`) REFERENCES `workflows` (`id`),
  ADD CONSTRAINT `workflow_states_ibfk_2` FOREIGN KEY (`inform_descriptor_id`) REFERENCES `permission_descriptors` (`id`) ON DELETE SET NULL;

--
-- Constraints for table `workflow_transitions`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@workflow_transitions`
  ADD CONSTRAINT `workflow_transitions_ibfk_45` FOREIGN KEY (`workflow_id`) REFERENCES `workflows` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `workflow_transitions_ibfk_46` FOREIGN KEY (`target_state_id`) REFERENCES `workflow_states` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `workflow_transitions_ibfk_47` FOREIGN KEY (`guard_permission_id`) REFERENCES `permissions` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `workflow_transitions_ibfk_48` FOREIGN KEY (`guard_group_id`) REFERENCES `groups_lookup` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `workflow_transitions_ibfk_49` FOREIGN KEY (`guard_role_id`) REFERENCES `roles` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `workflow_transitions_ibfk_50` FOREIGN KEY (`guard_condition_id`) REFERENCES `saved_searches` (`id`) ON DELETE SET NULL;

--
-- Constraints for table `workflows`
--
ALTER TABLE `@@DB_MAIN_PREFIX@@workflows`
  ADD CONSTRAINT `workflows_ibfk_1` FOREIGN KEY (`start_state_id`) REFERENCES `workflow_states` (`id`);


CREATE TABLE `@@DB_MAIN_PREFIX@@plugin_rss`
( `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `url` varchar(200) NOT NULL,
  `title` varchar(20) NOT NULL,
  PRIMARY KEY  (`id`))
ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_plugin_rss`
(
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
   PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1;

CREATE TABLE `@@DB_MAIN_PREFIX@@tag_words` (
   `id` int(10) NOT NULL,
   `tag` varchar(100) default NULL,
   PRIMARY KEY  (`id`))
ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `@@DB_MAIN_PREFIX@@document_tags` (
   `document_id` int(10) NOT NULL,
   `tag_id` int(10) NOT NULL,
   PRIMARY KEY  (`document_id`,`tag_id`),
   CONSTRAINT fk_document_tags_document_id FOREIGN KEY (document_id) REFERENCES documents(id) ON UPDATE CASCADE ON DELETE CASCADE,
   CONSTRAINT fk_document_tags_tag_id FOREIGN KEY (tag_id) REFERENCES tag_words(id) ON UPDATE CASCADE ON DELETE CASCADE
)
ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_document_tags` (
   `id` int(10) NOT NULL auto_increment,
   PRIMARY KEY  (`id`))
ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `@@DB_MAIN_PREFIX@@zseq_tag_words` (
   `id` int(10) NOT NULL auto_increment,
   PRIMARY KEY  (`id`))
ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

ALTER TABLE fieldsets ADD disabled tinyint not null default 0;

CREATE TABLE `@@DB_MAIN_PREFIX@@uploaded_files` (
`tempfilename` varchar(100) NOT NULL,
`filename` varchar(100) NOT NULL,
`userid` int(11) NOT NULL,
`uploaddate` timestamp NOT NULL,
`action` char(1) NOT NULL COMMENT 'A = Add, C = Checkin',
`document_id` int(11) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `@@DB_MAIN_PREFIX@@download_files` (
`document_id` int(10) unsigned NOT NULL,
`session` varchar(100) NOT NULL,
`download_date` timestamp NULL default CURRENT_TIMESTAMP,
`downloaded` int(10) unsigned NOT NULL default '0',
`filesize` int(10) unsigned NOT NULL,
`content_version` int(10) unsigned NOT NULL,
`hash` varchar(100) NOT NULL,
PRIMARY KEY  (`document_id`,`session`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `@@DB_MAIN_PREFIX@@index_files` (
`document_id` int(10) unsigned NOT NULL,
`user_id` int(10) unsigned NOT NULL,
`indexdate` timestamp NOT NULL,
PRIMARY KEY  (`document_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

SET FOREIGN_KEY_CHECKS=1;
--
-- $Id: data.sql 7721 2007-11-22 12:41:02Z kevin_fourie $
--    
-- The contents of this file are subject to the KnowledgeTree Public
-- License Version 1.1.2 ("License"); You may not use this file except in
-- compliance with the License. You may obtain a copy of the License at
-- http://www.knowledgetree.com/KPL
-- 
-- Software distributed under the License is distributed on an "AS IS"
-- basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
-- See the License for the specific language governing rights and
-- limitations under the License.
--
-- All copies of the Covered Code must include on each user interface screen:
--    (i) the "Powered by KnowledgeTree" logo and
--    (ii) the KnowledgeTree copyright notice
-- in the same form as they appear in the distribution.  See the License for
-- requirements.
-- 
-- The Original Code is: KnowledgeTree Open Source
-- 
-- The Initial Developer of the Original Code is The Jam Warehouse Software
-- (Pty) Ltd, trading as KnowledgeTree.
-- Portions created by The Jam Warehouse Software (Pty) Ltd are Copyright
-- (C) 2007 The Jam Warehouse Software (Pty) Ltd;
-- All Rights Reserved.
-- Contributor( s): ______________________________________
--

SET FOREIGN_KEY_CHECKS=0;
-- 
-- Database: `pristine`
-- 

-- 
-- Dumping data for table `active_sessions`
-- 


-- 
-- Dumping data for table `archive_restoration_request`
-- 


-- 
-- Dumping data for table `archiving_settings`
-- 


-- 
-- Dumping data for table `archiving_type_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@archiving_type_lookup` VALUES (1, 'Date');
INSERT INTO `@@DB_MAIN_PREFIX@@archiving_type_lookup` VALUES (2, 'Utilisation');

-- 
-- Dumping data for table `authentication_sources`
-- 


-- 
-- Dumping data for table `column_entries`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (1, 'ktcore.columns.selection', 'ktcore.views.browse', '', 0, 1);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (2, 'ktcore.columns.title', 'ktcore.views.browse', '', 1, 1);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (3, 'ktcore.columns.download', 'ktcore.views.browse', '', 2, 0);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (4, 'ktcore.columns.creationdate', 'ktcore.views.browse', '', 3, 0);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (5, 'ktcore.columns.modificationdate', 'ktcore.views.browse', '', 4, 0);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (6, 'ktcore.columns.creator', 'ktcore.views.browse', '', 5, 0);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (7, 'ktcore.columns.workflow_state', 'ktcore.views.browse', '', 6, 0);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (8, 'ktcore.columns.selection', 'ktcore.views.search', '', 0, 1);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (9, 'ktcore.columns.title', 'ktcore.views.search', '', 1, 1);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (10, 'ktcore.columns.download', 'ktcore.views.search', '', 2, 0);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (11, 'ktcore.columns.creationdate', 'ktcore.views.search', '', 3, 0);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (12, 'ktcore.columns.modificationdate', 'ktcore.views.search', '', 4, 0);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (13, 'ktcore.columns.creator', 'ktcore.views.search', '', 5, 0);
INSERT INTO `@@DB_MAIN_PREFIX@@column_entries` VALUES (14, 'ktcore.columns.workflow_state', 'ktcore.views.search', '', 6, 0);

-- 
-- Dumping data for table `comment_searchable_text`
-- 


-- 
-- Dumping data for table `dashlet_disables`
-- 


-- 
-- Dumping data for table `data_types`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@data_types` VALUES (1, 'STRING');
INSERT INTO `@@DB_MAIN_PREFIX@@data_types` VALUES (2, 'CHAR');
INSERT INTO `@@DB_MAIN_PREFIX@@data_types` VALUES (3, 'TEXT');
INSERT INTO `@@DB_MAIN_PREFIX@@data_types` VALUES (4, 'INT');
INSERT INTO `@@DB_MAIN_PREFIX@@data_types` VALUES (5, 'FLOAT');

-- 
-- Dumping data for table `discussion_comments`
-- 


-- 
-- Dumping data for table `discussion_threads`
-- 


-- 
-- Dumping data for table `document_archiving_link`
-- 


-- 
-- Dumping data for table `document_content_version`
-- 


-- 
-- Dumping data for table `document_fields`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@document_fields` VALUES (2,'Tag','STRING',0,0,0,2,0,'Tag Words');
INSERT INTO `@@DB_MAIN_PREFIX@@document_fields` VALUES (3,'Document Author','STRING',0,0,0,3,0,'Please add a document author');
INSERT INTO `@@DB_MAIN_PREFIX@@document_fields` VALUES (4,'Category','STRING',0,1,0,3,0,'Please select a category');
INSERT INTO `@@DB_MAIN_PREFIX@@document_fields` VALUES (5,'Media Type','STRING',0,1,0,3,0,'Please select a media type');

-- 
-- Dumping data for table `document_fields_link`
-- 


-- 
-- Dumping data for table `document_incomplete`
-- 


-- 
-- Dumping data for table `document_link`
-- 


-- 
-- Dumping data for table `document_link_types`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@document_link_types` VALUES (-1, 'depended on', 'was depended on by', 'Depends relationship whereby one documents depends on another''s creation to go through approval');
INSERT INTO `@@DB_MAIN_PREFIX@@document_link_types` VALUES (0,'Default','Default (reverse)','Default link type');
INSERT INTO `@@DB_MAIN_PREFIX@@document_link_types` VALUES (3,'Attachment','','Document Attachment');
INSERT INTO `@@DB_MAIN_PREFIX@@document_link_types` VALUES (4,'Reference','','Document Reference');
INSERT INTO `@@DB_MAIN_PREFIX@@document_link_types` VALUES (5,'Copy','','Document Copy');

-- 
-- Dumping data for table `document_metadata_version`
-- 


-- 
-- Dumping data for table `document_role_allocations`
-- 


-- 
-- Dumping data for table `document_searchable_text`
-- 


-- 
-- Dumping data for table `document_subscriptions`
-- 


-- 
-- Dumping data for table `document_text`
-- 


-- 
-- Dumping data for table `document_transaction_text`
-- 


-- 
-- Dumping data for table `document_transaction_types_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (1, 'Create', 'ktcore.transactions.create');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (2, 'Update', 'ktcore.transactions.update');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (3, 'Delete', 'ktcore.transactions.delete');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (4, 'Rename', 'ktcore.transactions.rename');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (5, 'Move', 'ktcore.transactions.move');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (6, 'Download', 'ktcore.transactions.download');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (7, 'Check In', 'ktcore.transactions.check_in');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (8, 'Check Out', 'ktcore.transactions.check_out');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (9, 'Collaboration Step Rollback', 'ktcore.transactions.collaboration_step_rollback');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (10, 'View', 'ktcore.transactions.view');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (11, 'Expunge', 'ktcore.transactions.expunge');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (12, 'Force CheckIn', 'ktcore.transactions.force_checkin');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (13, 'Email Link', 'ktcore.transactions.email_link');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (14, 'Collaboration Step Approve', 'ktcore.transactions.collaboration_step_approve');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (15, 'Email Attachment', 'ktcore.transactions.email_attachment');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (16, 'Workflow state transition', 'ktcore.transactions.workflow_state_transition');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (17, 'Permissions changed', 'ktcore.transactions.permissions_change');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (18, 'Role allocations changed', 'ktcore.transactions.role_allocations_change');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (19, 'Bulk Export', 'ktstandard.transactions.bulk_export');
INSERT INTO `@@DB_MAIN_PREFIX@@document_transaction_types_lookup` VALUES (20, 'Copy', 'ktcore.transactions.copy');

-- 
-- Dumping data for table `document_transactions`
-- 


-- 
-- Dumping data for table `document_type_fields_link`
-- 


-- 
-- Dumping data for table `document_type_fieldsets_link`
-- 


-- 
-- Dumping data for table `document_types_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@document_types_lookup` VALUES (1, 'Default', 0);

-- 
-- Dumping data for table `documents`
-- 


-- 
-- Dumping data for table `field_behaviour_options`
-- 


-- 
-- Dumping data for table `field_behaviours`
-- 


-- 
-- Dumping data for table `field_orders`
-- 


-- 
-- Dumping data for table `field_value_instances`
-- 


-- 
-- Dumping data for table `fieldsets`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@fieldsets` VALUES (2,'Tag Cloud','tagcloud',0,0,NULL,1,0,0,0,'Tag Cloud',0);
INSERT INTO `@@DB_MAIN_PREFIX@@fieldsets` VALUES (3,'General information','generalinformation',0,0,NULL,1,0,0,0,'General document information',0);

-- 
-- Dumping data for table `folder_doctypes_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@folder_doctypes_link` VALUES (1, 1, 1);
INSERT INTO `@@DB_MAIN_PREFIX@@folder_doctypes_link` VALUES (2, 2, 1);

-- 
-- Dumping data for table `folder_searchable_text`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@folder_searchable_text` VALUES (1, 'Root Folder');

-- 
-- Dumping data for table `folder_subscriptions`
-- 


-- 
-- Dumping data for table `folder_transactions`
-- 


-- 
-- Dumping data for table `folder_workflow_map`
-- 


-- 
-- Dumping data for table `folders`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@folders` VALUES (1, 'Root Folder', 'Root Document Folder', 0, 1, 0, NULL, NULL, 1, 5, 0, 1);

-- 
-- Dumping data for table `folders_users_roles_link`
-- 


-- 
-- Dumping data for table `groups_groups_link`
-- 


-- 
-- Dumping data for table `groups_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@groups_lookup` VALUES (1, 'System Administrators', 1, 0, NULL, NULL, NULL, NULL);

-- 
-- Dumping data for table `help`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (1, 'browse', 'dochelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (2, 'dashboard', 'dashboardHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (3, 'addFolder', 'addFolderHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (4, 'editFolder', 'editFolderHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (5, 'addFolderCollaboration', 'addFolderCollaborationHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (6, 'modifyFolderCollaboration', 'addFolderCollaborationHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (7, 'addDocument', 'addDocumentHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (8, 'viewDocument', 'viewDocumentHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (9, 'modifyDocument', 'modifyDocumentHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (10, 'modifyDocumentRouting', 'modifyDocumentRoutingHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (11, 'emailDocument', 'emailDocumentHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (12, 'deleteDocument', 'deleteDocumentHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (13, 'administration', 'administrationHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (14, 'addGroup', 'addGroupHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (15, 'editGroup', 'editGroupHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (16, 'removeGroup', 'removeGroupHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (17, 'assignGroupToUnit', 'assignGroupToUnitHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (18, 'removeGroupFromUnit', 'removeGroupFromUnitHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (19, 'addUnit', 'addUnitHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (20, 'editUnit', 'editUnitHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (21, 'removeUnit', 'removeUnitHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (22, 'addOrg', 'addOrgHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (23, 'editOrg', 'editOrgHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (24, 'removeOrg', 'removeOrgHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (25, 'addRole', 'addRoleHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (26, 'editRole', 'editRoleHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (27, 'removeRole', 'removeRoleHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (28, 'addLink', 'addLinkHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (29, 'addLinkSuccess', 'addLinkHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (30, 'editLink', 'editLinkHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (31, 'removeLink', 'removeLinkHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (32, 'systemAdministration', 'systemAdministrationHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (33, 'deleteFolder', 'deleteFolderHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (34, 'editDocType', 'editDocTypeHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (35, 'removeDocType', 'removeDocTypeHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (36, 'addDocType', 'addDocTypeHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (37, 'addDocTypeSuccess', 'addDocTypeHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (38, 'manageSubscriptions', 'manageSubscriptionsHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (39, 'addSubscription', 'addSubscriptionHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (40, 'removeSubscription', 'removeSubscriptionHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (41, 'preferences', 'preferencesHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (42, 'editPrefsSuccess', 'preferencesHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (43, 'modifyDocumentGenericMetaData', 'modifyDocumentGenericMetaDataHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (44, 'viewHistory', 'viewHistoryHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (45, 'checkInDocument', 'checkInDocumentHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (46, 'checkOutDocument', 'checkOutDocumentHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (47, 'advancedSearch', 'advancedSearchHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (48, 'deleteFolderCollaboration', 'deleteFolderCollaborationHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (49, 'addFolderDocType', 'addFolderDocTypeHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (50, 'deleteFolderDocType', 'deleteFolderDocTypeHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (51, 'addGroupFolderLink', 'addGroupFolderLinkHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (52, 'deleteGroupFolderLink', 'deleteGroupFolderLinkHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (53, 'addWebsite', 'addWebsiteHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (54, 'addWebsiteSuccess', 'addWebsiteHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (55, 'editWebsite', 'editWebsiteHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (56, 'removeWebSite', 'removeWebSiteHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (57, 'standardSearch', 'standardSearchHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (58, 'modifyDocumentTypeMetaData', 'modifyDocumentTypeMetaDataHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (59, 'addDocField', 'addDocFieldHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (60, 'editDocField', 'editDocFieldHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (61, 'removeDocField', 'removeDocFieldHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (62, 'addMetaData', 'addMetaDataHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (63, 'editMetaData', 'editMetaDataHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (64, 'removeMetaData', 'removeMetaDataHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (65, 'addUser', 'addUserHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (66, 'editUser', 'editUserHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (67, 'removeUser', 'removeUserHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (68, 'addUserToGroup', 'addUserToGroupHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (69, 'removeUserFromGroup', 'removeUserFromGroupHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (70, 'viewDiscussion', 'viewDiscussionThread.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (71, 'addComment', 'addDiscussionComment.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (72, 'listNews', 'listDashboardNewsHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (73, 'editNews', 'editDashboardNewsHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (74, 'previewNews', 'previewDashboardNewsHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (75, 'addNews', 'addDashboardNewsHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (76, 'modifyDocumentArchiveSettings', 'modifyDocumentArchiveSettingsHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (77, 'addDocumentArchiveSettings', 'addDocumentArchiveSettingsHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (78, 'listDocFields', 'listDocumentFieldsAdmin.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (79, 'editDocFieldLookups', 'editDocFieldLookups.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (80, 'addMetaDataForField', 'addMetaDataForField.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (81, 'editMetaDataForField', 'editMetaDataForField.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (82, 'removeMetaDataFromField', 'removeMetaDataFromField.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (83, 'listDocs', 'listDocumentsCheckoutHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (84, 'editDocCheckout', 'editDocCheckoutHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (85, 'listDocTypes', 'listDocTypesHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (86, 'editDocTypeFields', 'editDocFieldHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (87, 'addDocTypeFieldsLink', 'addDocTypeFieldHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (88, 'listGroups', 'listGroupsHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (89, 'editGroupUnit', 'editGroupUnitHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (90, 'listOrg', 'listOrgHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (91, 'listRole', 'listRolesHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (92, 'listUnits', 'listUnitHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (93, 'editUnitOrg', 'editUnitOrgHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (94, 'removeUnitFromOrg', 'removeUnitFromOrgHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (95, 'addUnitToOrg', 'addUnitToOrgHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (96, 'listUsers', 'listUsersHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (97, 'editUserGroups', 'editUserGroupsHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (98, 'listWebsites', 'listWebsitesHelp.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (99, 'loginDisclaimer', 'loginDisclaimer.html');
INSERT INTO `@@DB_MAIN_PREFIX@@help` VALUES (100, 'pageDisclaimer', 'pageDisclaimer.html');

-- 
-- Dumping data for table `help_replacement`
-- 


-- 
-- Dumping data for table `interceptor_instances`
-- 


-- 
-- Dumping data for table `links`
-- 


-- 
-- Dumping data for table `metadata_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@metadata_lookup` VALUES (2,4,'Technical',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@metadata_lookup` VALUES (3,4,'Financial',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@metadata_lookup` VALUES (4,4,'Legal',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@metadata_lookup` VALUES (5,4,'Administrative',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@metadata_lookup` VALUES (6,4,'Miscellaneous',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@metadata_lookup` VALUES (7,4,'Sales',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@metadata_lookup` VALUES (8,5,'Text',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@metadata_lookup` VALUES (9,5,'Image',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@metadata_lookup` VALUES (10,5,'Audio',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@metadata_lookup` VALUES (11,5,'Video',NULL,0,0);

-- 
-- Dumping data for table `metadata_lookup_tree`
-- 


-- 
-- Dumping data for table `mime_types`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (1, 'ai', 'application/postscript', 'pdf', 'Postscript Document');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (2, 'aif', 'audio/x-aiff', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (3, 'aifc', 'audio/x-aiff', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (4, 'aiff', 'audio/x-aiff', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (5, 'asc', 'text/plain', 'text', 'Plain Text');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (6, 'au', 'audio/basic', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (7, 'avi', 'video/x-msvideo', NULL, 'Video File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (8, 'bcpio', 'application/x-bcpio', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (9, 'bin', 'application/octet-stream', NULL, 'Binary File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (10, 'bmp', 'image/bmp', 'image', 'BMP Image');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (11, 'cdf', 'application/x-netcdf', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (12, 'class', 'application/octet-stream', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (13, 'cpio', 'application/x-cpio', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (14, 'cpt', 'application/mac-compactpro', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (15, 'csh', 'application/x-csh', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (16, 'css', 'text/css', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (17, 'dcr', 'application/x-director', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (18, 'dir', 'application/x-director', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (19, 'dms', 'application/octet-stream', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (20, 'doc', 'application/msword', 'word', 'Word Document');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (21, 'dvi', 'application/x-dvi', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (22, 'dxr', 'application/x-director', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (23, 'eps', 'application/postscript', 'pdf', 'Encapsulated Postscript');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (24, 'etx', 'text/x-setext', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (25, 'exe', 'application/octet-stream', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (26, 'ez', 'application/andrew-inset', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (27, 'gif', 'image/gif', 'image', 'GIF Image');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (28, 'gtar', 'application/x-gtar', 'compressed', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (29, 'hdf', 'application/x-hdf', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (30, 'hqx', 'application/mac-binhex40', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (31, 'htm', 'text/html', 'html', 'HTML Webpage');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (32, 'html', 'text/html', 'html', 'HTML Webpage');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (33, 'ice', 'x-conference/x-cooltalk', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (34, 'ief', 'image/ief', 'image', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (35, 'iges', 'model/iges', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (36, 'igs', 'model/iges', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (37, 'jpe', 'image/jpeg', 'image', 'JPEG Image');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (38, 'jpeg', 'image/jpeg', 'image', 'JPEG Image');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (39, 'jpg', 'image/jpeg', 'image', 'JPEG Image');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (40, 'js', 'application/x-javascript', 'html', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (41, 'kar', 'audio/midi', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (42, 'latex', 'application/x-latex', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (43, 'lha', 'application/octet-stream', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (44, 'lzh', 'application/octet-stream', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (45, 'man', 'application/x-troff-man', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (46, 'mdb', 'application/access', 'database', 'Access Database');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (47, 'mdf', 'application/access', 'database', 'Access Database');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (48, 'me', 'application/x-troff-me', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (49, 'mesh', 'model/mesh', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (50, 'mid', 'audio/midi', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (51, 'midi', 'audio/midi', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (52, 'mif', 'application/vnd.mif', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (53, 'mov', 'video/quicktime', NULL, 'Video File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (54, 'movie', 'video/x-sgi-movie', NULL, 'Video File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (55, 'mp2', 'audio/mpeg', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (56, 'mp3', 'audio/mpeg', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (57, 'mpe', 'video/mpeg', NULL, 'Video File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (58, 'mpeg', 'video/mpeg', NULL, 'Video File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (59, 'mpg', 'video/mpeg', NULL, 'Video File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (60, 'mpga', 'audio/mpeg', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (61, 'mpp', 'application/vnd.ms-project', 'office', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (62, 'ms', 'application/x-troff-ms', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (63, 'msh', 'model/mesh', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (64, 'nc', 'application/x-netcdf', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (65, 'oda', 'application/oda', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (66, 'pbm', 'image/x-portable-bitmap', 'image', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (67, 'pdb', 'chemical/x-pdb', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (68, 'pdf', 'application/pdf', 'pdf', 'Acrobat PDF');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (69, 'pgm', 'image/x-portable-graymap', 'image', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (70, 'pgn', 'application/x-chess-pgn', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (71, 'png', 'image/png', 'image', 'JPEG Image');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (72, 'pnm', 'image/x-portable-anymap', 'image', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (73, 'ppm', 'image/x-portable-pixmap', 'image', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (74, 'ppt', 'application/vnd.ms-powerpoint', 'office', 'Powerpoint Presentation');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (75, 'ps', 'application/postscript', 'pdf', 'Postscript Document');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (76, 'qt', 'video/quicktime', NULL, 'Video File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (77, 'ra', 'audio/x-realaudio', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (78, 'ram', 'audio/x-pn-realaudio', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (79, 'ras', 'image/x-cmu-raster', 'image', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (80, 'rgb', 'image/x-rgb', 'image', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (81, 'rm', 'audio/x-pn-realaudio', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (82, 'roff', 'application/x-troff', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (83, 'rpm', 'audio/x-pn-realaudio-plugin', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (84, 'rtf', 'text/rtf', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (85, 'rtx', 'text/richtext', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (86, 'sgm', 'text/sgml', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (87, 'sgml', 'text/sgml', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (88, 'sh', 'application/x-sh', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (89, 'shar', 'application/x-shar', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (90, 'silo', 'model/mesh', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (91, 'sit', 'application/x-stuffit', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (92, 'skd', 'application/x-koan', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (93, 'skm', 'application/x-koan', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (94, 'skp', 'application/x-koan', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (95, 'skt', 'application/x-koan', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (96, 'smi', 'application/smil', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (97, 'smil', 'application/smil', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (98, 'snd', 'audio/basic', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (99, 'spl', 'application/x-futuresplash', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (100, 'src', 'application/x-wais-source', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (101, 'sv4cpio', 'application/x-sv4cpio', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (102, 'sv4crc', 'application/x-sv4crc', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (103, 'swf', 'application/x-shockwave-flash', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (104, 't', 'application/x-troff', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (105, 'tar', 'application/x-tar', 'compressed', 'Tar or Compressed Tar File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (106, 'tcl', 'application/x-tcl', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (107, 'tex', 'application/x-tex', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (108, 'texi', 'application/x-texinfo', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (109, 'texinfo', 'application/x-texinfo', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (110, 'tif', 'image/tiff', 'image', 'TIFF Image');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (111, 'tiff', 'image/tiff', 'image', 'TIFF Image');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (112, 'tr', 'application/x-troff', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (113, 'tsv', 'text/tab-separated-values', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (114, 'txt', 'text/plain', 'text', 'Plain Text');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (115, 'ustar', 'application/x-ustar', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (116, 'vcd', 'application/x-cdlink', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (117, 'vrml', 'model/vrml', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (118, 'vsd', 'application/vnd.visio', 'office', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (119, 'wav', 'audio/x-wav', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (120, 'wrl', 'model/vrml', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (121, 'xbm', 'image/x-xbitmap', 'image', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (122, 'xls', 'application/vnd.ms-excel', 'excel', 'Excel Spreadsheet');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (123, 'xml', 'text/xml', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (124, 'xpm', 'image/x-xpixmap', 'image', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (125, 'xwd', 'image/x-xwindowdump', 'image', '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (126, 'xyz', 'chemical/x-pdb', NULL, '');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (127, 'zip', 'application/zip', 'compressed', 'ZIP Compressed File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (128, 'gz', 'application/x-gzip', 'compressed', 'GZIP Compressed File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (129, 'tgz', 'application/x-gzip', 'compressed', 'Tar or Compressed Tar File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (130, 'sxw', 'application/vnd.sun.xml.writer', 'openoffice', 'OpenOffice.org Writer Document');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (131, 'stw', 'application/vnd.sun.xml.writer.template', 'openoffice', 'OpenOffice.org File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (132, 'sxc', 'application/vnd.sun.xml.calc', 'openoffice', 'OpenOffice.org Spreadsheet');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (133, 'stc', 'application/vnd.sun.xml.calc.template', 'openoffice', 'OpenOffice.org File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (134, 'sxd', 'application/vnd.sun.xml.draw', 'openoffice', 'OpenOffice.org File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (135, 'std', 'application/vnd.sun.xml.draw.template', 'openoffice', 'OpenOffice.org File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (136, 'sxi', 'application/vnd.sun.xml.impress', 'openoffice', 'OpenOffice.org Presentation');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (137, 'sti', 'application/vnd.sun.xml.impress.template', 'openoffice', 'OpenOffice.org File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (138, 'sxg', 'application/vnd.sun.xml.writer.global', 'openoffice', 'OpenOffice.org File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (139, 'sxm', 'application/vnd.sun.xml.math', 'openoffice', 'OpenOffice.org File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (140, 'xlt', 'application/vnd.ms-excel', 'excel', 'Excel Template');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (141, 'dot', 'application/msword', 'word', 'Word Template');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (142, 'bz2', 'application/x-bzip2', 'compressed', 'BZIP2 Compressed File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (143, 'diff', 'text/plain', 'text', 'Source Diff File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (144, 'patch', 'text/plain', 'text', 'Patch File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (145, 'odt', 'application/vnd.oasis.opendocument.text', 'opendocument', 'OpenDocument Text');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (146, 'ott', 'application/vnd.oasis.opendocument.text-template', 'opendocument', 'OpenDocument Text Template');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (147, 'oth', 'application/vnd.oasis.opendocument.text-web', 'opendocument', 'HTML Document Template');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (148, 'odm', 'application/vnd.oasis.opendocument.text-master', 'opendocument', 'OpenDocument Master Document');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (149, 'odg', 'application/vnd.oasis.opendocument.graphics', 'opendocument', 'OpenDocument Drawing');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (150, 'otg', 'application/vnd.oasis.opendocument.graphics-template', 'opendocument', 'OpenDocument Drawing Template');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (151, 'odp', 'application/vnd.oasis.opendocument.presentation', 'opendocument', 'OpenDocument Presentation');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (152, 'otp', 'application/vnd.oasis.opendocument.presentation-template', 'opendocument', 'OpenDocument Presentation Template');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (153, 'ods', 'application/vnd.oasis.opendocument.spreadsheet', 'opendocument', 'OpenDocument Spreadsheet');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (154, 'ots', 'application/vnd.oasis.opendocument.spreadsheet-template', 'opendocument', 'OpenDocument Spreadsheet Template');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (155, 'odc', 'application/vnd.oasis.opendocument.chart', 'opendocument', 'OpenDocument Chart');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (156, 'odf', 'application/vnd.oasis.opendocument.formula', 'opendocument', 'OpenDocument Formula');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (157, 'odb', 'application/vnd.oasis.opendocument.database', 'opendocument', 'OpenDocument Database');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (158, 'odi', 'application/vnd.oasis.opendocument.image', 'opendocument', 'OpenDocument Image');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (159, 'zip', 'application/x-zip', 'compressed', 'ZIP Compressed File');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (160, 'csv', 'text/csv', 'spreadsheet', 'Comma delimited spreadsheet');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (161, 'msi', 'application/msword', 'compressed', 'MSI Installer file');
INSERT INTO `@@DB_MAIN_PREFIX@@mime_types` VALUES (162, 'pps', 'application/vnd.ms-powerpoint', 'office', 'Powerpoint Presentation');

-- 
-- Dumping data for table `news`
-- 


-- 
-- Dumping data for table `notifications`
-- 


-- 
-- Dumping data for table `organisations_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@organisations_lookup` VALUES (1, 'Default Organisation');

-- 
-- Dumping data for table `permission_assignments`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@permission_assignments` VALUES (1, 1, 1, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_assignments` VALUES (2, 2, 1, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_assignments` VALUES (3, 3, 1, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_assignments` VALUES (4, 4, 1, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_assignments` VALUES (5, 5, 1, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_assignments` VALUES (6, 6, 1, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_assignments` VALUES (7, 7, 1, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_assignments` VALUES (8, 8, 1, 2);

-- 
-- Dumping data for table `permission_descriptor_groups`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@permission_descriptor_groups` VALUES (2, 1);

-- 
-- Dumping data for table `permission_descriptor_roles`
-- 


-- 
-- Dumping data for table `permission_descriptor_users`
-- 


-- 
-- Dumping data for table `permission_descriptors`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@permission_descriptors` VALUES (1, 'd41d8cd98f00b204e9800998ecf8427e', '');
INSERT INTO `@@DB_MAIN_PREFIX@@permission_descriptors` VALUES (2, 'a689e7c4dc953de8d93b1ed4843b2dfe', 'group(1)');

-- 
-- Dumping data for table `permission_dynamic_assignments`
-- 


-- 
-- Dumping data for table `permission_dynamic_conditions`
-- 


-- 
-- Dumping data for table `permission_lookup_assignments`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (1, 1, 1, 1);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (2, 2, 1, 1);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (3, 3, 1, 1);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (4, 1, 2, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (5, 2, 2, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (6, 3, 2, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (7, 1, 3, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (8, 2, 3, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (9, 3, 3, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (10, 4, 3, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (11, 5, 3, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (12, 1, 4, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (13, 2, 4, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (14, 3, 4, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (15, 4, 4, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (16, 5, 4, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (17, 6, 4, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (18, 1, 5, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (19, 2, 5, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (20, 3, 5, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (21, 4, 5, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (22, 5, 5, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (23, 6, 5, 2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookup_assignments` VALUES (24, 7, 5, 2);

-- 
-- Dumping data for table `permission_lookups`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookups` VALUES (1);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookups` VALUES (2);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookups` VALUES (3);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookups` VALUES (4);
INSERT INTO `@@DB_MAIN_PREFIX@@permission_lookups` VALUES (5);

-- 
-- Dumping data for table `permission_objects`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@permission_objects` VALUES (1);

-- 
-- Dumping data for table `permissions`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@permissions` VALUES (1, 'ktcore.permissions.read', 'Read', 1);
INSERT INTO `@@DB_MAIN_PREFIX@@permissions` VALUES (2, 'ktcore.permissions.write', 'Write', 1);
INSERT INTO `@@DB_MAIN_PREFIX@@permissions` VALUES (3, 'ktcore.permissions.addFolder', 'Add Folder', 1);
INSERT INTO `@@DB_MAIN_PREFIX@@permissions` VALUES (4, 'ktcore.permissions.security', 'Manage security', 1);
INSERT INTO `@@DB_MAIN_PREFIX@@permissions` VALUES (5, 'ktcore.permissions.delete', 'Delete', 1);
INSERT INTO `@@DB_MAIN_PREFIX@@permissions` VALUES (6, 'ktcore.permissions.workflow', 'Manage workflow', 1);
INSERT INTO `@@DB_MAIN_PREFIX@@permissions` VALUES (7, 'ktcore.permissions.folder_details', 'Folder Details', 1);
INSERT INTO `@@DB_MAIN_PREFIX@@permissions` VALUES (8, 'ktcore.permissions.folder_rename', 'Rename Folder', 1);

-- 
-- Dumping data for table `plugins`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (49,'ktcore.generalmetadata.plugin','plugins/generalmetadata/GeneralMetadataPlugin.php',0,0,NULL,0,'General Metadata Search Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (50,'ktcore.tagcloud.plugin','plugins/tagcloud/TagCloudPlugin.php',0,0,NULL,0,'Tag Cloud Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (51,'ktcore.rss.plugin','plugins/rssplugin/RSSPlugin.php',0,0,NULL,0,'RSS Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (52,'ktcore.language.plugin','plugins/ktcore/KTCoreLanguagePlugin.php',0,0,NULL,0,'Core Language Support');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (53,'ktcore.plugin','plugins/ktcore/KTCorePlugin.php',0,0,NULL,0,'Core Application Functionality');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (54,'ktstandard.adminversion.plugin','plugins/ktstandard/KTAdminVersionPlugin.php',0,0,NULL,0,'Admin Version Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (55,'ktstandard.ldapauthentication.plugin','plugins/ktstandard/KTLDAPAuthenticationPlugin.php',0,0,NULL,0,'LDAP Authentication Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (56,'ktstandard.pdf.plugin','plugins/ktstandard/PDFGeneratorPlugin.php',0,0,NULL,0,'PDF Generator Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (57,'ktstandard.bulkexport.plugin','plugins/ktstandard/KTBulkExportPlugin.php',0,0,NULL,0,'Bulk Export Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (58,'ktstandard.immutableaction.plugin','plugins/ktstandard/ImmutableActionPlugin.php',0,0,NULL,0,'Immutable action plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (59,'ktstandard.subscriptions.plugin','plugins/ktstandard/KTSubscriptions.php',0,0,NULL,0,'Subscription Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (60,'ktstandard.discussion.plugin','plugins/ktstandard/KTDiscussion.php',0,0,NULL,0,'Document Discussions Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (61,'ktstandard.email.plugin','plugins/ktstandard/KTEmail.php',0,0,NULL,0,'Email Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (62,'ktstandard.indexer.plugin','plugins/ktstandard/KTIndexer.php',0,0,NULL,0,'Full-text Content Indexing');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (63,'ktstandard.documentlinks.plugin','plugins/ktstandard/KTDocumentLinks.php',0,0,NULL,0,'Inter-document linking');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (64,'ktstandard.workflowassociation.plugin','plugins/ktstandard/KTWorkflowAssociation.php',0,0,NULL,0,'Workflow Association Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (65,'ktstandard.workflowassociation.documenttype.plugin','plugins/ktstandard/workflow/TypeAssociator.php',0,0,NULL,0,'Workflow allocation by document type');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (66,'ktstandard.workflowassociation.folder.plugin','plugins/ktstandard/workflow/FolderAssociator.php',0,0,NULL,0,'Workflow allocation by location');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (67,'ktstandard.disclaimers.plugin','plugins/ktstandard/KTDisclaimers.php',0,0,NULL,0,'Disclaimers Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (68,'ktstandard.searchdashlet.plugin','plugins/ktstandard/SearchDashletPlugin.php',0,0,NULL,0,'Search Dashlet Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (69,'nbm.browseable.plugin','plugins/browseabledashlet/BrowseableDashletPlugin.php',0,0,NULL,0,'Orphaned Folders Plugin');
INSERT INTO `@@DB_MAIN_PREFIX@@plugins` VALUES (70,'ktstandard.ktwebdavdashlet.plugin','plugins/ktstandard/KTWebDAVDashletPlugin.php',0,0,NULL,0,'WebDAV Dashlet Plugin');

-- 
-- Dumping data for table `role_allocations`
-- 


-- 
-- Dumping data for table `roles`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@roles` VALUES (-4, 'Authenticated Users');
INSERT INTO `@@DB_MAIN_PREFIX@@roles` VALUES (4, 'Creator');
INSERT INTO `@@DB_MAIN_PREFIX@@roles` VALUES (-3, 'Everyone');
INSERT INTO `@@DB_MAIN_PREFIX@@roles` VALUES (-2, 'Owner');
INSERT INTO `@@DB_MAIN_PREFIX@@roles` VALUES (2, 'Publisher');
INSERT INTO `@@DB_MAIN_PREFIX@@roles` VALUES (3, 'Reviewer');

-- 
-- Dumping data for table `saved_searches`
-- 


-- 
-- Dumping data for table `search_document_user_link`
-- 


-- 
-- Dumping data for table `status_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@status_lookup` VALUES (1, 'Live');
INSERT INTO `@@DB_MAIN_PREFIX@@status_lookup` VALUES (2, 'Published');
INSERT INTO `@@DB_MAIN_PREFIX@@status_lookup` VALUES (3, 'Deleted');
INSERT INTO `@@DB_MAIN_PREFIX@@status_lookup` VALUES (4, 'Archived');
INSERT INTO `@@DB_MAIN_PREFIX@@status_lookup` VALUES (5, 'Incomplete');

-- 
-- Dumping data for table `system_settings`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@system_settings` VALUES (1, 'lastIndexUpdate', '0');
INSERT INTO `@@DB_MAIN_PREFIX@@system_settings` VALUES (2, 'knowledgeTreeVersion', '3.4.5');
INSERT INTO `@@DB_MAIN_PREFIX@@system_settings` VALUES (3, 'databaseVersion', '3.4.5');

-- 
-- Dumping data for table `time_period`
-- 


-- 
-- Dumping data for table `time_unit_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@time_unit_lookup` VALUES (1, 'Years');
INSERT INTO `@@DB_MAIN_PREFIX@@time_unit_lookup` VALUES (2, 'Months');
INSERT INTO `@@DB_MAIN_PREFIX@@time_unit_lookup` VALUES (3, 'Days');

-- 
-- Dumping data for table `trigger_selection`
-- 


-- 
-- Dumping data for table `type_workflow_map`
-- 


-- 
-- Dumping data for table `units_lookup`
-- 


-- 
-- Dumping data for table `units_organisations_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@units_organisations_link` VALUES (1, 1, 1);

-- 
-- Dumping data for table `upgrades`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (1, 'sql*2.0.6*0*2.0.6/create_upgrade_table.sql', 'Database upgrade to version 2.0.6: Create upgrade table', '2005-06-16 00:30:06', 1, 'upgrade*2.0.6*0*upgrade2.0.6');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (2, 'upgrade*2.0.6*0*upgrade2.0.6', 'Upgrade from version 2.0.2 to 2.0.6', '2005-06-16 00:30:06', 1, 'upgrade*2.0.6*0*upgrade2.0.6');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (3, 'func*2.0.6*0*addTemplateMimeTypes', 'Add MIME types for Excel and Word templates', '2005-06-16 00:30:06', 1, 'upgrade*2.0.6*0*upgrade2.0.6');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (4, 'sql*2.0.6*0*2.0.6/add_email_attachment_transaction_type.sql', 'Database upgrade to version 2.0.6: Add email attachment transaction type', '2005-06-16 00:30:06', 1, 'upgrade*2.0.6*0*upgrade2.0.6');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (5, 'sql*2.0.6*0*2.0.6/create_link_type_table.sql', 'Database upgrade to version 2.0.6: Create link type table', '2005-06-16 00:30:06', 1, 'upgrade*2.0.6*0*upgrade2.0.6');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (6, 'sql*2.0.6*1*2.0.6/1-update_database_version.sql', 'Database upgrade to version 2.0.6: Update database version', '2005-06-16 00:30:06', 1, 'upgrade*2.0.6*0*upgrade2.0.6');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (7, 'upgrade*2.0.7*0*upgrade2.0.7', 'Upgrade from version 2.0.7 to 2.0.7', '2005-07-21 22:35:15', 1, 'upgrade*2.0.7*0*upgrade2.0.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (8, 'sql*2.0.7*0*2.0.7/document_link_update.sql', 'Database upgrade to version 2.0.7: Document link update', '2005-07-21 22:35:16', 1, 'upgrade*2.0.7*0*upgrade2.0.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (9, 'sql*2.0.8*0*2.0.8/nestedgroups.sql', 'Database upgrade to version 2.0.8: Nestedgroups', '2005-08-02 16:02:06', 1, 'upgrade*2.0.8*0*upgrade2.0.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (10, 'sql*2.0.8*0*2.0.8/help_replacement.sql', 'Database upgrade to version 2.0.8: Help replacement', '2005-08-02 16:02:06', 1, 'upgrade*2.0.8*0*upgrade2.0.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (11, 'upgrade*2.0.8*0*upgrade2.0.8', 'Upgrade from version 2.0.7 to 2.0.8', '2005-08-02 16:02:06', 1, 'upgrade*2.0.8*0*upgrade2.0.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (12, 'sql*2.0.8*0*2.0.8/permissions.sql', 'Database upgrade to version 2.0.8: Permissions', '2005-08-02 16:02:07', 1, 'upgrade*2.0.8*0*upgrade2.0.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (13, 'func*2.0.8*1*setPermissionObject', 'Set the permission object in charge of a document or folder', '2005-08-02 16:02:07', 1, 'upgrade*2.0.8*0*upgrade2.0.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (14, 'sql*2.0.8*1*2.0.8/1-metadata_versions.sql', 'Database upgrade to version 2.0.8: Metadata versions', '2005-08-02 16:02:07', 1, 'upgrade*2.0.8*0*upgrade2.0.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (15, 'sql*2.0.8*2*2.0.8/2-permissions.sql', 'Database upgrade to version 2.0.8: Permissions', '2005-08-02 16:02:07', 1, 'upgrade*2.0.8*0*upgrade2.0.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (16, 'sql*2.0.9*0*2.0.9/storagemanager.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (17, 'sql*2.0.9*0*2.0.9/metadata_tree.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (18, 'sql*2.0.9*0*2.0.9/document_incomplete.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (20, 'upgrade*2.99.1*0*upgrade2.99.1', 'Upgrade from version 2.0.8 to 2.99.1', '2005-10-07 14:26:15', 1, 'upgrade*2.99.1*0*upgrade2.99.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (21, 'sql*2.99.1*0*2.99.1/workflow.sql', 'Database upgrade to version 2.99.1: Workflow', '2005-10-07 14:26:15', 1, 'upgrade*2.99.1*0*upgrade2.99.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (22, 'sql*2.99.1*0*2.99.1/fieldsets.sql', 'Database upgrade to version 2.99.1: Fieldsets', '2005-10-07 14:26:16', 1, 'upgrade*2.99.1*0*upgrade2.99.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (23, 'func*2.99.1*1*createFieldSets', 'Create a fieldset for each field without one', '2005-10-07 14:26:16', 1, 'upgrade*2.99.1*0*upgrade2.99.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (24, 'sql*2.99.2*0*2.99.2/saved_searches.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (25, 'sql*2.99.2*0*2.99.2/transactions.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (26, 'sql*2.99.2*0*2.99.2/field_mandatory.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (27, 'sql*2.99.2*0*2.99.2/fieldsets_system.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (28, 'sql*2.99.2*0*2.99.2/permission_by_user_and_roles.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (29, 'sql*2.99.2*0*2.99.2/disabled_metadata.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (30, 'sql*2.99.2*0*2.99.2/searchable_text.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (31, 'sql*2.99.2*0*2.99.2/workflow.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (32, 'sql*2.99.2*1*2.99.2/1-constraints.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (33, 'sql*2.99.3*0*2.99.3/notifications.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (34, 'sql*2.99.3*0*2.99.3/last_modified_user.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (35, 'sql*2.99.3*0*2.99.3/authentication_sources.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (36, 'sql*2.99.3*0*2.99.3/document_fields_constraints.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (37, 'sql*2.99.5*0*2.99.5/dashlet_disabling.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (38, 'sql*2.99.5*0*2.99.5/role_allocations.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (39, 'sql*2.99.5*0*2.99.5/transaction_namespaces.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (40, 'sql*2.99.5*0*2.99.5/fieldset_field_descriptions.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (41, 'sql*2.99.5*0*2.99.5/role_changes.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (42, 'sql*2.99.6*0*2.99.6/table_cleanup.sql', 'Database upgrade to version 2.99.6: Table cleanup', '2006-01-20 17:04:05', 1, 'upgrade*2.99.7*99*upgrade2.99.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (43, 'sql*2.99.6*0*2.99.6/plugin-registration.sql', 'Database upgrade to version 2.99.6: Plugin-registration', '2006-01-20 17:04:05', 1, 'upgrade*2.99.7*99*upgrade2.99.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (44, 'sql*2.99.7*0*2.99.7/documents_normalisation.sql', 'Database upgrade to version 2.99.7: Documents normalisation', '2006-01-20 17:04:05', 1, 'upgrade*2.99.7*99*upgrade2.99.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (45, 'sql*2.99.7*0*2.99.7/help_replacement.sql', 'Database upgrade to version 2.99.7: Help replacement', '2006-01-20 17:04:05', 1, 'upgrade*2.99.7*99*upgrade2.99.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (46, 'sql*2.99.7*0*2.99.7/table_cleanup.sql', 'Database upgrade to version 2.99.7: Table cleanup', '2006-01-20 17:04:07', 1, 'upgrade*2.99.7*99*upgrade2.99.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (47, 'func*2.99.7*1*normaliseDocuments', 'Normalise the documents table', '2006-01-20 17:04:07', 1, 'upgrade*2.99.7*99*upgrade2.99.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (48, 'sql*2.99.7*10*2.99.7/10-documents_normalisation.sql', 'Database upgrade to version 2.99.7: Documents normalisation', '2006-01-20 17:04:07', 1, 'upgrade*2.99.7*99*upgrade2.99.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (49, 'sql*2.99.7*20*2.99.7/20-fields.sql', 'Database upgrade to version 2.99.7: Fields', '2006-01-20 17:04:07', 1, 'upgrade*2.99.7*99*upgrade2.99.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (50, 'upgrade*2.99.7*99*upgrade2.99.7', 'Upgrade from version 2.99.5 to 2.99.7', '2006-01-20 17:04:07', 1, 'upgrade*2.99.7*99*upgrade2.99.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (51, 'sql*2.99.7*0*2.99.7/discussion.sql', '', '0000-00-00 00:00:00', 1, NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (52, 'func*2.99.7*-1*applyDiscussionUpgrade', 'func upgrade to version 2.99.7 phase -1', '2006-02-06 12:23:41', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (53, 'sql*2.99.8*0*2.99.8/mime_types.sql', 'Database upgrade to version 2.99.8: Mime types', '2006-02-06 12:23:41', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (54, 'sql*2.99.8*0*2.99.8/category-correction.sql', 'Database upgrade to version 2.99.8: Category-correction', '2006-02-06 12:23:41', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (55, 'sql*2.99.8*0*2.99.8/trigger_selection.sql', 'Database upgrade to version 2.99.8: Trigger selection', '2006-02-06 12:23:41', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (56, 'sql*2.99.8*0*2.99.8/units.sql', 'Database upgrade to version 2.99.8: Units', '2006-02-06 12:23:41', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (57, 'sql*2.99.8*0*2.99.8/type_workflow_map.sql', 'Database upgrade to version 2.99.8: Type workflow map', '2006-02-06 12:23:41', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (58, 'sql*2.99.8*0*2.99.8/disabled_documenttypes.sql', 'Database upgrade to version 2.99.8: Disabled documenttypes', '2006-02-06 12:23:42', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (59, 'func*2.99.8*1*fixUnits', 'func upgrade to version 2.99.8 phase 1', '2006-02-06 12:23:42', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (60, 'sql*2.99.8*10*2.99.8/10-units.sql', 'Database upgrade to version 2.99.8: Units', '2006-02-06 12:23:42', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (61, 'sql*2.99.8*15*2.99.8/15-status.sql', 'Database upgrade to version 2.99.8: Status', '2006-02-06 12:23:42', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (62, 'sql*2.99.8*20*2.99.8/20-state_permission_assignments.sql', 'Database upgrade to version 2.99.8: State permission assignments', '2006-02-06 12:23:42', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (63, 'sql*2.99.8*25*2.99.8/25-authentication_details.sql', 'Database upgrade to version 2.99.8: Authentication details', '2006-02-06 12:23:42', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (64, 'upgrade*2.99.8*99*upgrade2.99.8', 'Upgrade from version 2.99.7 to 2.99.8', '2006-02-06 12:23:42', 1, 'upgrade*2.99.8*99*upgrade2.99.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (65, 'func*2.99.9*0*createSecurityDeletePermissions', 'Create the Core: Manage Security and Core: Delete permissions', '2006-02-28 09:23:21', 1, 'upgrade*3.0*99*upgrade3.0');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (66, 'func*2.99.9*0*createLdapAuthenticationProvider', 'Create an LDAP authentication source based on your KT2 LDAP settings (must keep copy of config/environment.php to work)', '2006-02-28 09:23:21', 1, 'upgrade*3.0*99*upgrade3.0');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (67, 'sql*2.99.9*0*2.99.9/mimetype-friendly.sql', 'Database upgrade to version 2.99.9: Mimetype-friendly', '2006-02-28 09:23:21', 1, 'upgrade*3.0*99*upgrade3.0');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (68, 'sql*2.99.9*5*2.99.9/5-opendocument-mime-types.sql', 'Database upgrade to version 2.99.9: Opendocument-mime-types', '2006-02-28 09:23:21', 1, 'upgrade*3.0*99*upgrade3.0');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (69, 'sql*3.0*0*3.0/zipfile-mimetype.sql', 'Database upgrade to version 3.0: Zipfile-mimetype', '2006-02-28 09:23:21', 1, 'upgrade*3.0*99*upgrade3.0');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (70, 'upgrade*3.0*99*upgrade3.0', 'Upgrade from version 2.99.8 to 3.0', '2006-02-28 09:23:21', 1, 'upgrade*3.0*99*upgrade3.0');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (71, 'sql*3.0.1.1*0*3.0.1.1/document_role_allocations.sql', 'Database upgrade to version 3.0.1.1: Document role allocations', '2006-03-28 11:22:19', 1, 'upgrade*3.0.1.1*99*upgrade3.0.1.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (72, 'upgrade*3.0.1.1*99*upgrade3.0.1.1', 'Upgrade from version 3.0 to 3.0.1.1', '2006-03-28 11:22:19', 1, 'upgrade*3.0.1.1*99*upgrade3.0.1.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (73, 'sql*3.0.1.2*0*3.0.1.2/user_more_authentication_details.sql', 'Database upgrade to version 3.0.1.2: User more authentication details', '2006-04-07 16:50:28', 1, 'upgrade*3.0.1.2*99*upgrade3.0.1.2');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (74, 'upgrade*3.0.1.2*99*upgrade3.0.1.2', 'Upgrade from version 3.0.1.1 to 3.0.1.2', '2006-04-07 16:50:28', 1, 'upgrade*3.0.1.2*99*upgrade3.0.1.2');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (75, 'sql*3.0.1.2*0*3.0.1.2/owner_role_move.sql', 'Database upgrade to version 3.0.1.2: Owner role move', '2006-04-18 11:06:34', 1, 'upgrade*3.0.1.4*99*upgrade3.0.1.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (76, 'func*3.0.1.3*0*addTransactionTypes3013', 'Add new folder transaction types', '2006-04-18 11:06:34', 1, 'upgrade*3.0.1.4*99*upgrade3.0.1.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (77, 'sql*3.0.1.3*0*3.0.1.3/user_history.sql', 'Database upgrade to version 3.0.1.3: User history', '2006-04-18 11:06:34', 1, 'upgrade*3.0.1.4*99*upgrade3.0.1.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (78, 'sql*3.0.1.3*0*3.0.1.3/folder_transactions.sql', 'Database upgrade to version 3.0.1.3: Folder transactions', '2006-04-18 11:06:34', 1, 'upgrade*3.0.1.4*99*upgrade3.0.1.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (79, 'sql*3.0.1.3*0*3.0.1.3/plugin-unavailable.sql', 'Database upgrade to version 3.0.1.3: Plugin-unavailable', '2006-04-18 11:06:34', 1, 'upgrade*3.0.1.4*99*upgrade3.0.1.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (80, 'func*3.0.1.4*0*createWorkflowPermission', 'Create the Core: Manage Workflow', '2006-04-18 11:06:34', 1, 'upgrade*3.0.1.4*99*upgrade3.0.1.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (81, 'upgrade*3.0.1.4*99*upgrade3.0.1.4', 'Upgrade from version 3.0.1.2 to 3.0.1.4', '2006-04-18 11:06:34', 1, 'upgrade*3.0.1.4*99*upgrade3.0.1.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (82, 'sql*3.0.1.5*0*3.0.1.5/anonymous-user.sql', 'Database upgrade to version 3.0.1.5: Anonymous-user', '2006-04-18 12:38:41', 1, 'upgrade*3.0.1.5*99*upgrade3.0.1.5');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (83, 'upgrade*3.0.1.5*99*upgrade3.0.1.5', 'Upgrade from version 3.0.1.4 to 3.0.1.5', '2006-04-18 12:38:41', 1, 'upgrade*3.0.1.5*99*upgrade3.0.1.5');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (84, 'sql*3.0.1.6*0*3.0.1.6/workflow-into-metadata.sql', 'Database upgrade to version 3.0.1.6: Workflow-into-metadata', '2006-04-20 14:22:24', 1, 'upgrade*3.0.1.6*99*upgrade3.0.1.6');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (85, 'upgrade*3.0.1.6*99*upgrade3.0.1.6', 'Upgrade from version 3.0.1.5 to 3.0.1.6', '2006-04-20 14:22:24', 1, 'upgrade*3.0.1.6*99*upgrade3.0.1.6');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (86, 'sql*3.0.1.7*0*3.0.1.7/session_id.sql', 'Database upgrade to version 3.0.1.7: Session id', '2006-04-20 17:03:55', 1, 'upgrade*3.0.1.7*99*upgrade3.0.1.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (87, 'upgrade*3.0.1.7*99*upgrade3.0.1.7', 'Upgrade from version 3.0.1.6 to 3.0.1.7', '2006-04-20 17:03:56', 1, 'upgrade*3.0.1.7*99*upgrade3.0.1.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (88, 'sql*3.0.1.8*0*3.0.1.8/friendly-plugins.sql', 'Database upgrade to version 3.0.1.8: Friendly-plugins', '2006-04-23 12:54:12', 1, 'upgrade*3.0.1.8*99*upgrade3.0.1.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (89, 'sql*3.0.1.8*0*3.0.1.8/longer-text.sql', 'Database upgrade to version 3.0.1.8: Longer-text', '2006-04-23 12:54:12', 1, 'upgrade*3.0.1.8*99*upgrade3.0.1.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (90, 'sql*3.0.1.8*0*3.0.1.8/admin-mode-logging.sql', 'Database upgrade to version 3.0.1.8: Admin-mode-logging', '2006-04-23 12:54:12', 1, 'upgrade*3.0.1.8*99*upgrade3.0.1.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (91, 'upgrade*3.0.1.8*99*upgrade3.0.1.8', 'Upgrade from version 3.0.1.7 to 3.0.1.8', '2006-04-23 12:54:12', 1, 'upgrade*3.0.1.8*99*upgrade3.0.1.8');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (92, 'upgrade*3.0.2*99*upgrade3.0.2', 'Upgrade from version 3.0.1.8 to 3.0.2', '2006-05-02 10:08:13', 1, 'upgrade*3.0.2*99*upgrade3.0.2');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (93, 'sql*3.0.2.1*0*3.0.2.1/disclaimer-help-files.sql', 'Database upgrade to version 3.0.2.1: Disclaimer-help-files', '2006-05-25 16:04:23', 1, 'upgrade*3.0.2.2*99*upgrade3.0.2.2');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (94, 'sql*3.0.2.2*0*3.0.2.2/folder_search.sql', 'Database upgrade to version 3.0.2.2: Folder search', '2006-05-25 16:04:23', 1, 'upgrade*3.0.2.2*99*upgrade3.0.2.2');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (95, 'upgrade*3.0.2.2*99*upgrade3.0.2.2', 'Upgrade from version 3.0.2 to 3.0.2.2', '2006-05-25 16:04:24', 1, 'upgrade*3.0.2.2*99*upgrade3.0.2.2');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (96, 'sql*3.0.2.3*0*3.0.2.3/msi-filetype.sql', 'Database upgrade to version 3.0.2.3: Msi-filetype', '2006-05-30 10:55:58', 1, 'upgrade*3.0.2.4*99*upgrade3.0.2.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (97, 'sql*3.0.2.4*0*3.0.2.4/discussion-fulltext.sql', 'Database upgrade to version 3.0.2.4: Discussion-fulltext', '2006-05-30 10:55:59', 1, 'upgrade*3.0.2.4*99*upgrade3.0.2.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (98, 'upgrade*3.0.2.4*99*upgrade3.0.2.4', 'Upgrade from version 3.0.2.2 to 3.0.2.4', '2006-05-30 10:55:59', 1, 'upgrade*3.0.2.4*99*upgrade3.0.2.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (99, 'upgrade*3.0.3*99*upgrade3.0.3', 'Upgrade from version 3.0.2.4 to 3.0.3', '2006-05-31 13:02:04', 1, 'upgrade*3.0.3*99*upgrade3.0.3');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (100, 'sql*3.0.3.1*0*3.0.3.1/utf8.sql', 'Database upgrade to version 3.0.3.1: Utf8', '2006-07-12 12:00:33', 1, 'upgrade*3.0.3.4*99*upgrade3.0.3.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (101, 'sql*3.0.3.1*0*3.0.3.1/document_immutable.sql', 'Database upgrade to version 3.0.3.1: Document immutable', '2006-07-12 12:00:33', 1, 'upgrade*3.0.3.4*99*upgrade3.0.3.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (102, 'sql*3.0.3.1*0*3.0.3.1/workflow-triggers.sql', 'Database upgrade to version 3.0.3.1: Workflow-triggers', '2006-07-12 12:00:33', 1, 'upgrade*3.0.3.4*99*upgrade3.0.3.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (103, 'func*3.0.3.2*0*createFolderDetailsPermission', 'Create the Core: Folder Details permission', '2006-07-12 12:00:33', 1, 'upgrade*3.0.3.4*99*upgrade3.0.3.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (104, 'func*3.0.3.3*0*generateWorkflowTriggers', 'Migrate old in-transition guards to triggers', '2006-07-12 12:00:33', 1, 'upgrade*3.0.3.4*99*upgrade3.0.3.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (105, 'sql*3.0.3.4*0*3.0.3.4/column_entries.sql', 'Database upgrade to version 3.0.3.4: Column entries', '2006-07-12 12:00:33', 1, 'upgrade*3.0.3.4*99*upgrade3.0.3.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (106, 'sql*3.0.3.4*0*3.0.3.4/bulk_export_transaction.sql', 'Database upgrade to version 3.0.3.4: Bulk export transaction', '2006-07-12 12:00:33', 1, 'upgrade*3.0.3.4*99*upgrade3.0.3.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (107, 'upgrade*3.0.3.4*99*upgrade3.0.3.4', 'Upgrade from version 3.0.3 to 3.0.3.4', '2006-07-12 12:00:34', 1, 'upgrade*3.0.3.4*99*upgrade3.0.3.4');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (108, 'sql*3.0.3.5*0*3.0.3.5/notifications_data_text.sql', 'Database upgrade to version 3.0.3.5: Notifications data text', '2006-07-14 15:26:49', 1, 'upgrade*3.0.3.5*99*upgrade3.0.3.5');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (109, 'upgrade*3.0.3.5*99*upgrade3.0.3.5', 'Upgrade from version 3.0.3.4 to 3.0.3.5', '2006-07-14 15:26:49', 1, 'upgrade*3.0.3.5*99*upgrade3.0.3.5');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (110, 'sql*3.0.3.6*0*3.0.3.6/document-restore.sql', 'Database upgrade to version 3.0.3.6: Document-restore', '2006-07-26 11:48:28', 1, 'upgrade*3.0.3.7*99*upgrade3.0.3.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (111, 'func*3.0.3.7*0*rebuildAllPermissions', 'Rebuild all permissions to ensure correct functioning of permission-definitions.', '2006-07-26 11:48:28', 1, 'upgrade*3.0.3.7*99*upgrade3.0.3.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (112, 'upgrade*3.0.3.7*99*upgrade3.0.3.7', 'Upgrade from version 3.0.3.5 to 3.0.3.7', '2006-07-26 11:48:28', 1, 'upgrade*3.0.3.7*99*upgrade3.0.3.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (113, 'upgrade*3.1*99*upgrade3.1', 'Upgrade from version 3.0.3.7 to 3.1', '2006-07-31 10:41:12', 1, 'upgrade*3.1*99*upgrade3.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (114, 'sql*3.1.1*0*3.1.1/parentless-documents.sql', 'Database upgrade to version 3.1.1: Parentless-documents', '2006-08-15 11:58:07', 1, 'upgrade*3.1.1*99*upgrade3.1.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (115, 'upgrade*3.1.1*99*upgrade3.1.1', 'Upgrade from version 3.1 to 3.1.1', '2006-08-15 11:58:07', 1, 'upgrade*3.1.1*99*upgrade3.1.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (116, 'sql*3.1.2*0*3.1.2/user-disable.sql', 'Database upgrade to version 3.1.2: User-disable', '2006-09-08 17:08:26', 1, 'upgrade*3.1.2*99*upgrade3.1.2');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (117, 'upgrade*3.1.2*99*upgrade3.1.2', 'Upgrade from version 3.1.1 to 3.1.2', '2006-09-08 17:08:26', 1, 'upgrade*3.1.2*99*upgrade3.1.2');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (118, 'func*3.1.5*0*upgradeSavedSearches', 'Upgrade saved searches to use namespaces instead of integer ids', '2006-10-17 12:09:45', 1, 'upgrade*3.1.6.7*99*upgrade3.1.6.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (119, 'sql*3.1.6*0*3.1.6/interceptor_instances.sql', 'Database upgrade to version 3.1.6: Interceptor instances', '2006-10-17 12:09:45', 1, 'upgrade*3.1.6.7*99*upgrade3.1.6.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (120, 'sql*3.1.6*0*3.1.6/workflow-sanity.sql', 'Database upgrade to version 3.1.6: Workflow-sanity', '2006-10-17 12:09:45', 1, 'upgrade*3.1.6.7*99*upgrade3.1.6.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (121, 'sql*3.1.6.2*0*3.1.6.2/workflow_state_disabled_actions.sql', 'Database upgrade to version 3.1.6.2: Workflow state disabled actions', '2006-10-17 12:09:45', 1, 'upgrade*3.1.6.7*99*upgrade3.1.6.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (122, 'sql*3.1.6.2*0*3.1.6.2/folder_owner_role.sql', 'Database upgrade to version 3.1.6.2: Folder owner role', '2006-10-17 12:09:45', 1, 'upgrade*3.1.6.7*99*upgrade3.1.6.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (123, 'func*3.1.6.3*0*cleanupGroupMembership', 'Cleanup any old references to missing groups, etc.', '2006-10-17 12:09:45', 1, 'upgrade*3.1.6.7*99*upgrade3.1.6.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (124, 'sql*3.1.6.3*0*3.1.6.3/groups-integrity.sql', 'Database upgrade to version 3.1.6.3: Groups-integrity', '2006-10-17 12:09:46', 1, 'upgrade*3.1.6.7*99*upgrade3.1.6.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (125, 'sql*3.1.6.5*0*3.1.6.5/workflow-state-referencefixes.sql', 'Database upgrade to version 3.1.6.5: Workflow-state-referencefixes', '2006-10-17 12:09:46', 1, 'upgrade*3.1.6.7*99*upgrade3.1.6.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (126, 'sql*3.1.6.6*0*3.1.6.6/copy_transaction.sql', 'Database upgrade to version 3.1.6.6: Copy transaction', '2006-10-17 12:09:46', 1, 'upgrade*3.1.6.7*99*upgrade3.1.6.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (127, 'sql*3.1.6.7*0*3.1.6.7/sane-names-for-stuff.sql', 'Database upgrade to version 3.1.6.7: Sane-names-for-stuff', '2006-10-17 12:09:46', 1, 'upgrade*3.1.6.7*99*upgrade3.1.6.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (128, 'upgrade*3.1.6.7*99*upgrade3.1.6.7', 'Upgrade from version 3.1.2 to 3.1.6.7', '2006-10-17 12:09:46', 1, 'upgrade*3.1.6.7*99*upgrade3.1.6.7');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (129, 'sql*3.3.0.1*0*3.3.0.1/system-settings-to-text.sql', 'Database upgrade to version 3.3.0.1: System-settings-to-text', '2007-01-28 23:49:52', 1, 'upgrade*3.3.1*99*upgrade3.3.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (130, 'upgrade*3.3.0.1*99*upgrade3.3.0.1', 'Upgrade from version 3.1.6.7 to 3.3.0.1', '2006-10-30 12:49:33', 1, 'upgrade*3.3.0.1*99*upgrade3.3.0.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (131, 'sql*3.3.1*0*3.3.1/rss.sql', 'Database upgrade to version 3.3.1: Rss', '2007-01-28 23:49:52', 1, 'upgrade*3.3.1*99*upgrade3.3.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (132, 'upgrade*3.3.1*99*upgrade3.3.1', 'Upgrade from version 3.3.0.1 to 3.3.1', '2007-01-28 23:49:52', 1, 'upgrade*3.3.1*99*upgrade3.3.1');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (133, 'sql*3.3.2*0*3.3.2/tagclouds.sql', 'Database upgrade to version 3.3.2: Tagclouds', '2007-02-23 11:55:09', 1, 'upgrade*3.3.2*99*upgrade3.3.2');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (134, 'upgrade*3.3.2*99*upgrade3.3.2', 'Upgrade from version 3.3.1 to 3.3.2', '2007-02-23 11:55:09', 1, 'upgrade*3.3.2*99*upgrade3.3.2');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (135, 'sql*3.4.0*0*3.4.0/upload_download.sql', 'Upgrade to version 3.4.0: Upload download', '2007-04-17 00:00:00', 1, 'upgrade*3.4.0*99*upgrade3.4.0');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (136, 'upgrade*3.4.0*99*upgrade3.4.0', 'Upgrade from version 3.3.2 to 3.4.0', '2007-04-17 00:00:00', 1, 'upgrade*3.4.0*99*upgrade3.4.0');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (137, 'sql*3.4.5*0*3.4.5/plugin_helper.sql', 'Create the plugin helper table.', '2007-11-20 00:00:00', 1, 'upgrade*3.4.5*99*upgrade3.4.5');
INSERT INTO `@@DB_MAIN_PREFIX@@upgrades` VALUES (138, 'upgrade*3.4.5*99*upgrade3.4.5', 'Upgrade from version 3.4.0 to 3.4.5', '2007-11-20 00:00:00', 1, 'upgrade*3.4.5*99*upgrade3.4.5');

-- 
-- Dumping data for table `user_history`
-- 


-- 
-- Dumping data for table `users`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@users` VALUES (-2, 'anonymous', 'Anonymous', '---------------', 0, 0, NULL, NULL, 0, 0, NULL, 30000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `@@DB_MAIN_PREFIX@@users` VALUES (1, '@@ADMIN_NAME@@', 'Administrator', '@@ADMIN_PASSWORD@@', 0, 0, '', '', 1, 1, '', 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);

-- 
-- Dumping data for table `users_groups_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@users_groups_link` VALUES (1, 1, 1);

-- 
-- Dumping data for table `workflow_actions`
-- 


-- 
-- Dumping data for table `workflow_documents`
-- 


-- 
-- Dumping data for table `workflow_state_actions`
-- 


-- 
-- Dumping data for table `workflow_state_disabled_actions`
-- 


-- 
-- Dumping data for table `workflow_state_permission_assignments`
-- 


-- 
-- Dumping data for table `workflow_state_transitions`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@workflow_state_transitions` VALUES (2,2),(3,3),(3,4),(5,5),(6,6);

-- 
-- Dumping data for table `workflow_states`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@workflow_states` VALUES (2,2,'Draft','Draft',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@workflow_states` VALUES (3,2,'Approval','Approval',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@workflow_states` VALUES (4,2,'Published','Published',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@workflow_states` VALUES (5,3,'Draft','Draft',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@workflow_states` VALUES (6,3,'Final','Final',NULL,0,0);
INSERT INTO `@@DB_MAIN_PREFIX@@workflow_states` VALUES (7,3,'Published','Published',NULL,0,0);

-- 
-- Dumping data for table `workflow_transitions`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@workflow_transitions` VALUES (2,2,'Request Approval','Request Approval',3,NULL,NULL,NULL,NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@workflow_transitions` VALUES (3,2,'Reject','Reject',2,NULL,NULL,NULL,NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@workflow_transitions` VALUES (4,2,'Approve','Approve',4,NULL,NULL,NULL,NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@workflow_transitions` VALUES (5,3,'Draft Completed','Draft Completed',6,NULL,NULL,NULL,NULL);
INSERT INTO `@@DB_MAIN_PREFIX@@workflow_transitions` VALUES (6,3,'Publish','Publish',7,NULL,NULL,NULL,NULL);

-- 
-- Dumping data for table `workflow_trigger_instances`
-- 


-- 
-- Dumping data for table `workflows`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@workflows` VALUES (2,'Review Process','Review Process',2,1);
INSERT INTO `@@DB_MAIN_PREFIX@@workflows` VALUES (3,'Generate Document','Generate Document',5,1);

-- 
-- Dumping data for table `zseq_active_sessions`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_active_sessions` VALUES (1);

-- 
-- Dumping data for table `zseq_archive_restoration_request`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_archive_restoration_request` VALUES (1);

-- 
-- Dumping data for table `zseq_archiving_settings`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_archiving_settings` VALUES (1);

-- 
-- Dumping data for table `zseq_archiving_type_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_archiving_type_lookup` VALUES (2);

-- 
-- Dumping data for table `zseq_authentication_sources`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_authentication_sources` VALUES (1);

-- 
-- Dumping data for table `zseq_browse_criteria`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_browse_criteria` VALUES (5);

-- 
-- Dumping data for table `zseq_column_entries`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_column_entries` VALUES (14);

-- 
-- Dumping data for table `zseq_dashlet_disables`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_dashlet_disables` VALUES (1);

-- 
-- Dumping data for table `zseq_data_types`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_data_types` VALUES (5);

-- 
-- Dumping data for table `zseq_dependant_document_instance`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_dependant_document_instance` VALUES (1);

-- 
-- Dumping data for table `zseq_dependant_document_template`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_dependant_document_template` VALUES (1);

-- 
-- Dumping data for table `zseq_discussion_comments`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_discussion_comments` VALUES (1);

-- 
-- Dumping data for table `zseq_discussion_threads`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_discussion_threads` VALUES (1);

-- 
-- Dumping data for table `zseq_document_archiving_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_archiving_link` VALUES (1);

-- 
-- Dumping data for table `zseq_document_content_version`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_content_version` VALUES (1);

-- 
-- Dumping data for table `zseq_document_fields`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_fields` VALUES (5);

-- 
-- Dumping data for table `zseq_document_fields_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_fields_link` VALUES (1);

-- 
-- Dumping data for table `zseq_document_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_link` VALUES (1);

-- 
-- Dumping data for table `zseq_document_link_types`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_link_types` VALUES (5);

-- 
-- Dumping data for table `zseq_document_metadata_version`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_metadata_version` VALUES (1);

-- 
-- Dumping data for table `zseq_document_role_allocations`
-- 


-- 
-- Dumping data for table `zseq_document_subscriptions`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_subscriptions` VALUES (1);

-- 
-- Dumping data for table `zseq_document_transaction_types_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_transaction_types_lookup` VALUES (20);

-- 
-- Dumping data for table `zseq_document_transactions`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_transactions` VALUES (1);

-- 
-- Dumping data for table `zseq_document_type_fields_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_type_fields_link` VALUES (1);

-- 
-- Dumping data for table `zseq_document_type_fieldsets_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_type_fieldsets_link` VALUES (1);

-- 
-- Dumping data for table `zseq_document_types_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_types_lookup` VALUES (1);

-- 
-- Dumping data for table `zseq_documents`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_documents` VALUES (1);

-- 
-- Dumping data for table `zseq_field_behaviours`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_field_behaviours` VALUES (1);

-- 
-- Dumping data for table `zseq_field_value_instances`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_field_value_instances` VALUES (1);

-- 
-- Dumping data for table `zseq_fieldsets`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_fieldsets` VALUES (3);

-- 
-- Dumping data for table `zseq_folder_doctypes_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_folder_doctypes_link` VALUES (2);

-- 
-- Dumping data for table `zseq_folder_subscriptions`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_folder_subscriptions` VALUES (1);

-- 
-- Dumping data for table `zseq_folder_transactions`
-- 


-- 
-- Dumping data for table `zseq_folders`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_folders` VALUES (2);

-- 
-- Dumping data for table `zseq_folders_users_roles_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_folders_users_roles_link` VALUES (1);

-- 
-- Dumping data for table `zseq_groups_groups_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_groups_groups_link` VALUES (1);

-- 
-- Dumping data for table `zseq_groups_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_groups_lookup` VALUES (3);

-- 
-- Dumping data for table `zseq_help`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_help` VALUES (98);

-- 
-- Dumping data for table `zseq_help_replacement`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_help_replacement` VALUES (1);

-- 
-- Dumping data for table `zseq_interceptor_instances`
-- 


-- 
-- Dumping data for table `zseq_links`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_links` VALUES (1);

-- 
-- Dumping data for table `zseq_metadata_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_metadata_lookup` VALUES (11);

-- 
-- Dumping data for table `zseq_metadata_lookup_tree`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_metadata_lookup_tree` VALUES (1);

-- 
-- Dumping data for table `zseq_mime_types`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_mime_types` VALUES (161);

-- 
-- Dumping data for table `zseq_news`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_news` VALUES (1);

-- 
-- Dumping data for table `zseq_notifications`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_notifications` VALUES (1);

-- 
-- Dumping data for table `zseq_organisations_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_organisations_lookup` VALUES (1);

-- 
-- Dumping data for table `zseq_permission_assignments`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_permission_assignments` VALUES (8);

-- 
-- Dumping data for table `zseq_permission_descriptors`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_permission_descriptors` VALUES (2);

-- 
-- Dumping data for table `zseq_permission_dynamic_conditions`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_permission_dynamic_conditions` VALUES (1);

-- 
-- Dumping data for table `zseq_permission_lookup_assignments`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_permission_lookup_assignments` VALUES (24);

-- 
-- Dumping data for table `zseq_permission_lookups`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_permission_lookups` VALUES (5);

-- 
-- Dumping data for table `zseq_permission_objects`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_permission_objects` VALUES (1);

-- 
-- Dumping data for table `zseq_permissions`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_permissions` VALUES (8);

-- 
-- Dumping data for table `zseq_plugins`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_plugins` VALUES (70);

-- 
-- Dumping data for table `zseq_role_allocations`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_role_allocations` VALUES (1);

-- 
-- Dumping data for table `zseq_roles`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_roles` VALUES (4);

-- 
-- Dumping data for table `zseq_saved_searches`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_saved_searches` VALUES (1);

-- 
-- Dumping data for table `zseq_status_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_status_lookup` VALUES (5);

-- 
-- Dumping data for table `zseq_system_settings`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_system_settings` VALUES (3);

-- 
-- Dumping data for table `zseq_time_period`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_time_period` VALUES (1);

-- 
-- Dumping data for table `zseq_time_unit_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_time_unit_lookup` VALUES (3);

-- 
-- Dumping data for table `zseq_units_lookup`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_units_lookup` VALUES (1);

-- 
-- Dumping data for table `zseq_units_organisations_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_units_organisations_link` VALUES (1);

-- 
-- Dumping data for table `zseq_upgrades`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_upgrades` VALUES (138);

-- 
-- Dumping data for table `zseq_user_history`
-- 


-- 
-- Dumping data for table `zseq_users`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_users` VALUES (3);

-- 
-- Dumping data for table `zseq_users_groups_link`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_users_groups_link` VALUES (3);

-- 
-- Dumping data for table `zseq_workflow_state_disabled_actions`
-- 


-- 
-- Dumping data for table `zseq_workflow_state_permission_assignments`
-- 


-- 
-- Dumping data for table `zseq_workflow_states`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_workflow_states` VALUES (7);

-- 
-- Dumping data for table `zseq_workflow_transitions`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_workflow_transitions` VALUES (6);

-- 
-- Dumping data for table `zseq_workflow_trigger_instances`
-- 


-- 
-- Dumping data for table `zseq_workflows`
-- 

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_workflows` VALUES (3);

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_plugin_rss` (id) VALUES ('1');

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_document_tags` (id) VALUES ('1');

INSERT INTO `@@DB_MAIN_PREFIX@@zseq_tag_words` (id) VALUES ('1');

SET FOREIGN_KEY_CHECKS=1;
